Bitcoin Forum
December 18, 2017, 03:15:59 AM *
News: Latest stable version of Bitcoin Core: 0.15.1  [Torrent].
 
   Home   Help Search Donate Login Register  
Pages: « 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 [20] 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 ... 75 »
  Print  
Author Topic: [ANN] [SKC] Skeincoin 0.9.3.1 | Skein-SHA2  (Read 158147 times)
broketech
Member
**
Offline Offline

Activity: 104


View Profile
December 27, 2013, 09:22:55 PM
á#381

forgot that part, very professional quick trade.

Sysadmin - Troubleshooter - Armchair Debugger
BTC: 1PCocLTxLJP4L1d1Gigjhxoy2WypifA4Cy - UN: uQAR2PhjtdvNvbbh4JC4wJdx3SCh2W4xB4 - SKC: SR81M5iqLkRB6PjZgkpNkpz1G7KmY3zceL
1513566959
Hero Member
*
Offline Offline

Posts: 1513566959

View Profile Personal Message (Offline)

Ignore
1513566959
Reply with quote  #2

1513566959
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1513566959
Hero Member
*
Offline Offline

Posts: 1513566959

View Profile Personal Message (Offline)

Ignore
1513566959
Reply with quote  #2

1513566959
Report to moderator
melnikalex
Member
**
Offline Offline

Activity: 60


View Profile
December 28, 2013, 12:41:24 AM
á#382

Used https://bitcointalk.org/index.php?topic=322828.msg4042222#msg4042222
Compiled skeinhash.so in mingw, but got message that key fPIC ignored as all code positionally independed.
and now when try to run on 7950, win 8.1 x64, 4gb ram, catalist 13.11 beta 9.5, it tell me that and close:

Code:
28/12/2013 00:50:51, started OpenCL miner on platform 1, device 0 (Tahiti)
 28/12/2013 00:50:51, Setting server (melnikalex.1 @ skc.coinmine.pl:6400)
skc.coinmine.pl:6400 28/12/2013 00:50:51, Compiler defines:  -DOUTPUT_SIZE=256 -DOUTPUT_MASK=255 -DENDIAN_LITTLE=1 -DGPU_AMD=1 -IC:\Skein\poclbm-skc
skc.coinmine.pl:6400 28/12/2013 00:50:51, Error loading compiled kernel: 60078364a528c8e14b098ad0e9403ceb.elf
skc.coinmine.pl:6400 28/12/2013 00:50:51, Recompiling kernel ...
skc.coinmine.pl:6400 28/12/2013 00:50:51, Setting new difficulty: 0.0625

please help to make it work
maybe my skeinhash.so is not as good as yours, can someone give the link to download it?
who make it work, please tell your os/catalist version/amd sdk ?
thanks
Wirel
Jr. Member
*
Offline Offline

Activity: 39


View Profile
December 28, 2013, 02:30:54 AM
á#383

Same error, but with crashing on windows seven x64.

Latest AMD drivers and SDK.

The Same poclbm works if i give him platform 0 that is my i5's HD4600 with 6 MH/s.

EDIT:I got it working, somehow
acidu
Member
**
Offline Offline

Activity: 92


View Profile
December 28, 2013, 02:31:23 AM
á#384

Used https://bitcointalk.org/index.php?topic=322828.msg4042222#msg4042222
Compiled skeinhash.so in mingw, but got message that key fPIC ignored as all code positionally independed.
and now when try to run on 7950, win 8.1 x64, 4gb ram, catalist 13.11 beta 9.5, it tell me that and close:

Code:
28/12/2013 00:50:51, started OpenCL miner on platform 1, device 0 (Tahiti)
 28/12/2013 00:50:51, Setting server (melnikalex.1 @ skc.coinmine.pl:6400)
skc.coinmine.pl:6400 28/12/2013 00:50:51, Compiler defines:  -DOUTPUT_SIZE=256 -DOUTPUT_MASK=255 -DENDIAN_LITTLE=1 -DGPU_AMD=1 -IC:\Skein\poclbm-skc
skc.coinmine.pl:6400 28/12/2013 00:50:51, Error loading compiled kernel: 60078364a528c8e14b098ad0e9403ceb.elf
skc.coinmine.pl:6400 28/12/2013 00:50:51, Recompiling kernel ...
skc.coinmine.pl:6400 28/12/2013 00:50:51, Setting new difficulty: 0.0625

please help to make it work
maybe my skeinhash.so is not as good as yours, can someone give the link to download it?
who make it work, please tell your os/catalist version/amd sdk ?
thanks

I have downloaded the driver from here : http://www2.ati.com/drivers/beta/amd-catalyst-13.11-beta-v9.4-linux-x86.x86_64.run.zip

install it with sudo sh ./amdwhatever.run


use ubuntu 13.04 : from here http://releases.ubuntu.com/13.04/

- i recommand you to use WUBI.exe... it will install ubuntu along with your windows without altering or modifiing partitions on you hdd, jut simply point the installer on what drive and what size you wanna allow for utunbu
http://releases.ubuntu.com/13.04/wubi.exe



first of all be sure you have followed this tutorial THX TO ESCOBOL user:


Install the proprietary video driver

sudo apt-get install python-pyopencl subversion
sudo apt-get install git

git clone https://github.com/bmjames/python-jsonrpc
cd python-jsonrpc/
sudo python setup.py install
cd ..

git clone https://github.com/snoopcode/poclbm-skc
cd poclbm-skc\skeinhash
gcc -fPIC -shared -o skeinhash.so *.c

cd..

cd poclbm-skc

python poclbm.py stratum://user.worker:pass@skc.coinmine.pl:6400  

here are flags

https://en.bitcoin.it/wiki/Poclbm

for example : -d o -for device 0, -f 0 - for 0 framerate, etc


(if u use just command line, not lightdm on boot, add sudo (sudo python poclbm.py....))


=-=-=-=-=-=-=


GPU temperature read command:
aticonfig --odgt --adapter=0

FANspeed command:
amdconfig --pplib-cmd "set fanspeed 0 40"              40 means %, change it with auto  if you want auto fan speed control back


enjoy mining Wink


i use for connect: sudo python poclbm.py stratum:http://skc.coinmine.pl:6400 user.worker:password@skc.coinmine.pl:6400
madjihad
Sr. Member
****
Offline Offline

Activity: 245


🌟 Šternity🌟 blockchain🌟


View Profile
December 28, 2013, 10:24:27 AM
á#385

Used https://bitcointalk.org/index.php?topic=322828.msg4042222#msg4042222
Compiled skeinhash.so in mingw, but got message that key fPIC ignored as all code positionally independed.
and now when try to run on 7950, win 8.1 x64, 4gb ram, catalist 13.11 beta 9.5, it tell me that and close:

Code:
28/12/2013 00:50:51, started OpenCL miner on platform 1, device 0 (Tahiti)
 28/12/2013 00:50:51, Setting server (melnikalex.1 @ skc.coinmine.pl:6400)
skc.coinmine.pl:6400 28/12/2013 00:50:51, Compiler defines:  -DOUTPUT_SIZE=256 -DOUTPUT_MASK=255 -DENDIAN_LITTLE=1 -DGPU_AMD=1 -IC:\Skein\poclbm-skc
skc.coinmine.pl:6400 28/12/2013 00:50:51, Error loading compiled kernel: 60078364a528c8e14b098ad0e9403ceb.elf
skc.coinmine.pl:6400 28/12/2013 00:50:51, Recompiling kernel ...
skc.coinmine.pl:6400 28/12/2013 00:50:51, Setting new difficulty: 0.0625

please help to make it work
maybe my skeinhash.so is not as good as yours, can someone give the link to download it?
who make it work, please tell your os/catalist version/amd sdk ?
thanks

That is strange. Try this one skeinhash.so http://www.megafileupload.com/en/file/482956/skeinhash-so.html It was compiled under Windows 7 x64, might resolve you issue. On Windows I had issue with amdocl.dll it crashed during run and I had to replace it with older version (dll version: 10.0.923.1 and product version: OpenCL 1.1 AMD-APP (923.1)) you can download it here: http://www.filedropper.com/amdocl64 but make a backup of original file (or files if you have systerm32 and syswow64 folders).

Pernicio
Newbie
*
Offline Offline

Activity: 9

https://hashflare.io/r/E10633A3


View Profile WWW
December 28, 2013, 08:38:36 PM
á#386

Used https://bitcointalk.org/index.php?topic=322828.msg4042222#msg4042222
Compiled skeinhash.so in mingw, but got message that key fPIC ignored as all code positionally independed.
and now when try to run on 7950, win 8.1 x64, 4gb ram, catalist 13.11 beta 9.5, it tell me that and close:

Code:
28/12/2013 00:50:51, started OpenCL miner on platform 1, device 0 (Tahiti)
 28/12/2013 00:50:51, Setting server (melnikalex.1 @ skc.coinmine.pl:6400)
skc.coinmine.pl:6400 28/12/2013 00:50:51, Compiler defines:  -DOUTPUT_SIZE=256 -DOUTPUT_MASK=255 -DENDIAN_LITTLE=1 -DGPU_AMD=1 -IC:\Skein\poclbm-skc
skc.coinmine.pl:6400 28/12/2013 00:50:51, Error loading compiled kernel: 60078364a528c8e14b098ad0e9403ceb.elf
skc.coinmine.pl:6400 28/12/2013 00:50:51, Recompiling kernel ...
skc.coinmine.pl:6400 28/12/2013 00:50:51, Setting new difficulty: 0.0625

please help to make it work
maybe my skeinhash.so is not as good as yours, can someone give the link to download it?
who make it work, please tell your os/catalist version/amd sdk ?
thanks

I have downloaded the driver from here : http://www2.ati.com/drivers/beta/amd-catalyst-13.11-beta-v9.4-linux-x86.x86_64.run.zip

install it with sudo sh ./amdwhatever.run


use ubuntu 13.04 : from here http://releases.ubuntu.com/13.04/

- i recommand you to use WUBI.exe... it will install ubuntu along with your windows without altering or modifiing partitions on you hdd, jut simply point the installer on what drive and what size you wanna allow for utunbu
http://releases.ubuntu.com/13.04/wubi.exe



first of all be sure you have followed this tutorial THX TO ESCOBOL user:


Install the proprietary video driver

sudo apt-get install python-pyopencl subversion
sudo apt-get install git

git clone https://github.com/bmjames/python-jsonrpc
cd python-jsonrpc/
sudo python setup.py install
cd ..

git clone https://github.com/snoopcode/poclbm-skc
cd poclbm-skc\skeinhash
gcc -fPIC -shared -o skeinhash.so *.c

cd..

cd poclbm-skc

python poclbm.py stratum://user.worker:pass@skc.coinmine.pl:6400  

here are flags

https://en.bitcoin.it/wiki/Poclbm

for example : -d o -for device 0, -f 0 - for 0 framerate, etc


(if u use just command line, not lightdm on boot, add sudo (sudo python poclbm.py....))


=-=-=-=-=-=-=


GPU temperature read command:
aticonfig --odgt --adapter=0

FANspeed command:
amdconfig --pplib-cmd "set fanspeed 0 40"              40 means %, change it with auto  if you want auto fan speed control back


enjoy mining Wink


i use for connect: sudo python poclbm.py stratum:http://skc.coinmine.pl:6400 user.worker:password@skc.coinmine.pl:6400


I have Xubuntu 13.10 installed, but other than that I followed the instructions by the letter and the miner says this; "No PyOpenCL"
What have I missed or is there something else I would need to do to get it working on Xubuntu? Thank you for re-posting this guide though Smiley

<a href="https://hashflare.io/r/E10633A3">
Calhil
Full Member
***
Offline Offline

Activity: 182


View Profile
December 28, 2013, 09:24:12 PM
á#387

You can try to install pyopencl using pip.

sudo apt-get install python-pip
sudo pip install pyopencl

BLC & SKC node: addnode=192.3.171.213
BLC: BcaLHiLk74XXSZdebHQY8b3CaoEBLaPtoV
MethMatician
Full Member
***
Offline Offline

Activity: 132


View Profile
December 28, 2013, 09:44:26 PM
á#388

hi guys.. im working on a simple app for android which i ll soon place in the store (im using it right now).. its in my spare time just for fun (so dont think its fancy).. i dont know what to place in the app so suggestions would be nice.. now i got this forum in it, the pool, some google info, a twitter feed and i wanne place this link (skeincoin.wordpress.com) in it as well so i can inform everyone whats going on.. any good?

skeincoin.wordpress.com has a poll right now so hopefully u guys can check it and give me some suggestions for the app..

merry xmas (btw) and a happy new year for now Smiley!
madjihad
Sr. Member
****
Offline Offline

Activity: 245


🌟 Šternity🌟 blockchain🌟


View Profile
December 28, 2013, 09:48:06 PM
á#389

cgminer must be parsing the output buffer differently from poclbm (see SETFOUND macro in its kernels), otherwise looks good, at a glance. Please also note the kernel only returns diff 1 shares, for pool you are going to need to either hardcode the target or pass it to kernel.
Yes, cgminer parses it differently. I added this
Code:
// output[OUTPUT_SIZE] = output[nonce & OUTPUT_MASK] = nonce;
    #define FOUND (0x0F)
    #define SETFOUND(Xnonce) output[output[FOUND]++] = Xnonce

    SETFOUND(nonce);
  to your kernel and it should work.
Unfortunately it never reaches this code (on Geforce GT 650) and I don't know why...

Can you check-in you cgminer effort to github? I will try to help with it... Personally I'm quite bad in C but still github project might speedup development a bit Smiley

madjihad
Sr. Member
****
Offline Offline

Activity: 245


🌟 Šternity🌟 blockchain🌟


View Profile
December 28, 2013, 09:57:31 PM
á#390

hi guys.. im working on a simple app for android which i ll soon place in the store (im using it right now).. its in my spare time just for fun (so dont think its fancy).. i dont know what to place in the app so suggestions would be nice.. now i got this forum in it, the pool, some google info, a twitter feed and i wanne place this link (skeincoin.wordpresss.com) in it as well so i can inform everyone whats going on.. any good?

skeincoin.wordpress.com has a poll right now so hopefully u guys can check it and give me some suggestions for the app..

merry xmas (btw) and a happy new year for now Smiley!

That's very good.
With some extra effort we can create even android wallet for Skein. There is an opensource app for Bitcoin, which could be a good base: https://github.com/schildbach/bitcoin-wallet

Pernicio
Newbie
*
Offline Offline

Activity: 9

https://hashflare.io/r/E10633A3


View Profile WWW
December 28, 2013, 10:11:06 PM
á#391

You can try to install pyopencl using pip.

sudo apt-get install python-pip
sudo pip install pyopencl

Thank you for the advice Smiley Though it seems it doesn't work any better, got a bunch of other errors - pip-log below;

https://www.dropbox.com/s/2upvtb144oacp9d/pip.log

Code:
------------------------------------------------------------
/usr/bin/pip run on Sat Dec 28 23:58:11 2013
Downloading/unpacking pyopencl

  Getting page https://pypi.python.org/simple/pyopencl/
  URLs to search for versions for pyopencl:
  * https://pypi.python.org/simple/pyopencl/
  Analyzing links from page https://pypi.python.org/simple/pyopencl/
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.90.1.tar.gz#md5=80f8ffbdbeebc106ac9b28e6f2ef179e (from https://pypi.python.org/simple/pyopencl/), version: 0.90.1
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.90.2.tar.gz#md5=824e1f327bee216bd9b254a576ce8476 (from https://pypi.python.org/simple/pyopencl/), version: 0.90.2
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.90.3.tar.gz#md5=36ee54cfe2123a3e6cf352fa579f00d3 (from https://pypi.python.org/simple/pyopencl/), version: 0.90.3
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.90.4.tar.gz#md5=0573fce5476afd658398ea21b9c475f4 (from https://pypi.python.org/simple/pyopencl/), version: 0.90.4
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.90.tar.gz#md5=293f7305da9d3e11556a53bad394fe13 (from https://pypi.python.org/simple/pyopencl/), version: 0.90
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.91.1.tar.gz#md5=05fa5d71c6a0109cc66bd988f9bc0ee2 (from https://pypi.python.org/simple/pyopencl/), version: 0.91.1
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.91.2.tar.gz#md5=03da0b48a1da7700031377702eb37c37 (from https://pypi.python.org/simple/pyopencl/), version: 0.91.2
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.91.3.tar.gz#md5=23be187de61f6732cbddd918c34472ae (from https://pypi.python.org/simple/pyopencl/), version: 0.91.3
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.91.4.tar.gz#md5=a6596e0754e57e3e784f98675286974c (from https://pypi.python.org/simple/pyopencl/), version: 0.91.4
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.91.5.tar.gz#md5=e09ad8c07b5412e965d6004ba3a644b8 (from https://pypi.python.org/simple/pyopencl/), version: 0.91.5
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.91.tar.gz#md5=12df2969e91e3e9c8420b674d689e72f (from https://pypi.python.org/simple/pyopencl/), version: 0.91
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.92.tar.gz#md5=0680f7272fe3ab5a3bcb0b6cfbd74994 (from https://pypi.python.org/simple/pyopencl/), version: 0.92
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1.1.tar.gz#md5=df335256de5d9e3f802d0c3a19279169 (from https://pypi.python.org/simple/pyopencl/), version: 2011.1.1
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1.2.tar.gz#md5=9b0c1fe3e83338b4c89401cd3d52ca59 (from https://pypi.python.org/simple/pyopencl/), version: 2011.1.2
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1.tar.gz#md5=9df3931dea914d05145f9074f82407d5 (from https://pypi.python.org/simple/pyopencl/), version: 2011.1
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1beta.tar.gz#md5=e7555c52f8c1d20e599179d7f5d1c30f (from https://pypi.python.org/simple/pyopencl/), version: 2011.1beta
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1beta2.tar.gz#md5=973f3eab6aa70a315569f0110cd115c5 (from https://pypi.python.org/simple/pyopencl/), version: 2011.1beta2
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1beta3.tar.gz#md5=efc633bb5e7a03207fa657a61a12c7af (from https://pypi.python.org/simple/pyopencl/), version: 2011.1beta3
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.2.tar.gz#md5=db51a29aff5973f3f4a5a52d7ddc7696 (from https://pypi.python.org/simple/pyopencl/), version: 2011.2
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2012.1.tar.gz#md5=e6ae70d89d086af4636e4fbb2c806368 (from https://pypi.python.org/simple/pyopencl/), version: 2012.1
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2013.1.tar.gz#md5=c506e4ec5bc56ad85bf005ec40d4783b (from https://pypi.python.org/simple/pyopencl/), version: 2013.1
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2013.2.tar.gz#md5=112806c1f324cd02e5427bfdca43899d (from https://pypi.python.org/simple/pyopencl/), version: 2013.2
  Ignoring link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1beta.tar.gz#md5=e7555c52f8c1d20e599179d7f5d1c30f (from https://pypi.python.org/simple/pyopencl/), version 2011.1beta is a pre-release (use --pre to allow).
  Ignoring link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1beta2.tar.gz#md5=973f3eab6aa70a315569f0110cd115c5 (from https://pypi.python.org/simple/pyopencl/), version 2011.1beta2 is a pre-release (use --pre to allow).
  Ignoring link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1beta3.tar.gz#md5=efc633bb5e7a03207fa657a61a12c7af (from https://pypi.python.org/simple/pyopencl/), version 2011.1beta3 is a pre-release (use --pre to allow).
  Using version 2013.2 (newest of versions: 2013.2, 2013.1, 2012.1, 2011.2, 2011.1.2, 2011.1.1, 2011.1, 0.92, 0.91.5, 0.91.4, 0.91.3, 0.91.2, 0.91.1, 0.91, 0.90.4, 0.90.3, 0.90.2, 0.90.1, 0.90)
  Downloading from URL https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2013.2.tar.gz#md5=112806c1f324cd02e5427bfdca43899d (from https://pypi.python.org/simple/pyopencl/)
  Running setup.py egg_info for package pyopencl

    ---------------------------------------------------------------------------

    Mako is not installed.

    ---------------------------------------------------------------------------

    That is not a problem, as most of PyOpenCL will be just fine

    without it.Some higher-level parts of pyopencl (such as

    pyopencl.reduction) will not function without the templating engine

    Mako [1] being installed. If you would like this functionality to

    work, you might want to install Mako after you finish

    installing PyOpenCL.

    

    [1] http://www.makotemplates.org/

    ---------------------------------------------------------------------------

    Hit Ctrl-C now if you'd like to think about the situation.

    ---------------------------------------------------------------------------

    Continuing in 5 seconds...  
Continuing in 4 seconds...  
Continuing in 3 seconds...  
Continuing in 2 seconds...  
Continuing in 1 seconds...

    running egg_info
    creating pip-egg-info/pyopencl.egg-info
    writing requirements to pip-egg-info/pyopencl.egg-info/requires.txt
    writing pip-egg-info/pyopencl.egg-info/PKG-INFO
    writing top-level names to pip-egg-info/pyopencl.egg-info/top_level.txt
    writing dependency_links to pip-egg-info/pyopencl.egg-info/dependency_links.txt
    writing manifest file 'pip-egg-info/pyopencl.egg-info/SOURCES.txt'
    warning: manifest_maker: standard file '-c' not found
    

    reading manifest file 'pip-egg-info/pyopencl.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    warning: no files found matching 'doc/source/*.rst'

    warning: no files found matching 'doc/source/conf.py'

    warning: no files found matching 'doc/source/_static/*.css'

    warning: no files found matching 'doc/source/_templates/*.html'

    warning: no files found matching '*.cpp' under directory 'bpl-subset/bpl_subset/boost'

    warning: no files found matching '*.html' under directory 'bpl-subset/bpl_subset/boost'

    warning: no files found matching '*.inl' under directory 'bpl-subset/bpl_subset/boost'

    warning: no files found matching '*.txt' under directory 'bpl-subset/bpl_subset/boost'

    warning: no files found matching '*.h' under directory 'bpl-subset/bpl_subset/libs'

    warning: no files found matching '*.ipp' under directory 'bpl-subset/bpl_subset/libs'

    warning: no files found matching '*.pl' under directory 'bpl-subset/bpl_subset/libs'

    writing manifest file 'pip-egg-info/pyopencl.egg-info/SOURCES.txt'
  Source in /tmp/pip_build_root/pyopencl has version 2013.2, which satisfies requirement pyopencl
Downloading/unpacking pytools>=2013.5.2 (from pyopencl)

  Getting page https://pypi.python.org/simple/pytools/
  URLs to search for versions for pytools>=2013.5.2 (from pyopencl):
  * https://pypi.python.org/simple/pytools/
  Analyzing links from page https://pypi.python.org/simple/pytools/
    Skipping link https://pypi.python.org/packages/2.7/p/pytools/pytools-2013.5.7-py2.py3-none-any.whl#md5=da0b15b00005614eacf8e11f07bcde83 (from https://pypi.python.org/simple/pytools/); unknown archive format: .whl
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-1.tar.gz#md5=845539d05d407257ad3a7b6a0366b9a7 (from https://pypi.python.org/simple/pytools/), version: 1
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-10.tar.gz#md5=57efeca513abbeeb9feb5d24ea9b02c8 (from https://pypi.python.org/simple/pytools/), version: 10
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-11.tar.gz#md5=e8b66f85cd054145d10ce14b8102bc33 (from https://pypi.python.org/simple/pytools/), version: 11
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2.tar.gz#md5=ad60f422c416fa37c2e24ab35bf3332a (from https://pypi.python.org/simple/pytools/), version: 2
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2011.1.tar.gz#md5=45307f0698f4f5452e31b5f97e73f859 (from https://pypi.python.org/simple/pytools/), version: 2011.1
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2011.2.tar.gz#md5=9046a3a1711b5dba8203efb8c9922716 (from https://pypi.python.org/simple/pytools/), version: 2011.2
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2011.3.tar.gz#md5=6a437dd3dea416e3c97d3df88efddc4d (from https://pypi.python.org/simple/pytools/), version: 2011.3
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2011.4.tar.gz#md5=828a56e298bd2fce2b3e42ce41a85372 (from https://pypi.python.org/simple/pytools/), version: 2011.4
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2011.5.tar.gz#md5=90107519fee21eeb7e712afb2178a568 (from https://pypi.python.org/simple/pytools/), version: 2011.5
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2012.1.tar.gz#md5=92e299d714cd7153846daf904b787799 (from https://pypi.python.org/simple/pytools/), version: 2012.1
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.1.tar.gz#md5=aa531cbf9615ea02d20d9aff93d622bb (from https://pypi.python.org/simple/pytools/), version: 2013.1
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.2.tar.gz#md5=b34d93860441ce1865666b8e8b3fd6a1 (from https://pypi.python.org/simple/pytools/), version: 2013.2
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.3.tar.gz#md5=75c91cbadde43d61e21325de26f5861d (from https://pypi.python.org/simple/pytools/), version: 2013.3
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.4.tar.gz#md5=bfde80d3772d14d33a80c133b515d607 (from https://pypi.python.org/simple/pytools/), version: 2013.4
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.1.tar.gz#md5=20fcd19cd8f8ebd8178c783c0352e923 (from https://pypi.python.org/simple/pytools/), version: 2013.5.1
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.2.tar.gz#md5=a17ae102013b9c134cc0bea4171e454a (from https://pypi.python.org/simple/pytools/), version: 2013.5.2
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.3.tar.gz#md5=15bbae05e8cac74b0182f5dca36f6b94 (from https://pypi.python.org/simple/pytools/), version: 2013.5.3
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.4.tar.gz#md5=23389abf3fea5724dcec582971ccfbcd (from https://pypi.python.org/simple/pytools/), version: 2013.5.4
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.5.tar.gz#md5=727bd57b903f01d1341785eafbb43a89 (from https://pypi.python.org/simple/pytools/), version: 2013.5.5
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.6.tar.gz#md5=8ebae464e9e901a227fcc51a9223948f (from https://pypi.python.org/simple/pytools/), version: 2013.5.6
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.7.tar.gz#md5=8954a655749d646d456335b93aad3caf (from https://pypi.python.org/simple/pytools/), version: 2013.5.7
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.tar.gz#md5=425603f01f57843834af544bfe04e81e (from https://pypi.python.org/simple/pytools/), version: 2013.5
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-3.tar.gz#md5=ea5d4e4c5264f890f9554e4851cd3346 (from https://pypi.python.org/simple/pytools/), version: 3
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-4.tar.gz#md5=b1707c9c62b5ab3ab1f8624d1a1fc395 (from https://pypi.python.org/simple/pytools/), version: 4
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-5.tar.gz#md5=f287711e0e9bae24eb5b6f13d1c8843a (from https://pypi.python.org/simple/pytools/), version: 5
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-6.tar.gz#md5=fd3d94eeeb2a56c30bd8ee4bfa6fe964 (from https://pypi.python.org/simple/pytools/), version: 6
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-7.tar.gz#md5=10faa2a7919a6bcf70ea425779c87b77 (from https://pypi.python.org/simple/pytools/), version: 7
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-8.tar.gz#md5=1cd76f03ac0280d8d22ed4f543812af8 (from https://pypi.python.org/simple/pytools/), version: 8
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-9.tar.gz#md5=5cf7944bba89d8bf7d7187b702fbf587 (from https://pypi.python.org/simple/pytools/), version: 9
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-1.tar.gz#md5=845539d05d407257ad3a7b6a0366b9a7 (from https://pypi.python.org/simple/pytools/), version 1 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-10.tar.gz#md5=57efeca513abbeeb9feb5d24ea9b02c8 (from https://pypi.python.org/simple/pytools/), version 10 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-11.tar.gz#md5=e8b66f85cd054145d10ce14b8102bc33 (from https://pypi.python.org/simple/pytools/), version 11 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2.tar.gz#md5=ad60f422c416fa37c2e24ab35bf3332a (from https://pypi.python.org/simple/pytools/), version 2 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2011.1.tar.gz#md5=45307f0698f4f5452e31b5f97e73f859 (from https://pypi.python.org/simple/pytools/), version 2011.1 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2011.2.tar.gz#md5=9046a3a1711b5dba8203efb8c9922716 (from https://pypi.python.org/simple/pytools/), version 2011.2 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2011.3.tar.gz#md5=6a437dd3dea416e3c97d3df88efddc4d (from https://pypi.python.org/simple/pytools/), version 2011.3 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2011.4.tar.gz#md5=828a56e298bd2fce2b3e42ce41a85372 (from https://pypi.python.org/simple/pytools/), version 2011.4 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2011.5.tar.gz#md5=90107519fee21eeb7e712afb2178a568 (from https://pypi.python.org/simple/pytools/), version 2011.5 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2012.1.tar.gz#md5=92e299d714cd7153846daf904b787799 (from https://pypi.python.org/simple/pytools/), version 2012.1 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2013.1.tar.gz#md5=aa531cbf9615ea02d20d9aff93d622bb (from https://pypi.python.org/simple/pytools/), version 2013.1 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2013.2.tar.gz#md5=b34d93860441ce1865666b8e8b3fd6a1 (from https://pypi.python.org/simple/pytools/), version 2013.2 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2013.3.tar.gz#md5=75c91cbadde43d61e21325de26f5861d (from https://pypi.python.org/simple/pytools/), version 2013.3 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2013.4.tar.gz#md5=bfde80d3772d14d33a80c133b515d607 (from https://pypi.python.org/simple/pytools/), version 2013.4 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.1.tar.gz#md5=20fcd19cd8f8ebd8178c783c0352e923 (from https://pypi.python.org/simple/pytools/), version 2013.5.1 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.tar.gz#md5=425603f01f57843834af544bfe04e81e (from https://pypi.python.org/simple/pytools/), version 2013.5 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-3.tar.gz#md5=ea5d4e4c5264f890f9554e4851cd3346 (from https://pypi.python.org/simple/pytools/), version 3 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-4.tar.gz#md5=b1707c9c62b5ab3ab1f8624d1a1fc395 (from https://pypi.python.org/simple/pytools/), version 4 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-5.tar.gz#md5=f287711e0e9bae24eb5b6f13d1c8843a (from https://pypi.python.org/simple/pytools/), version 5 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-6.tar.gz#md5=fd3d94eeeb2a56c30bd8ee4bfa6fe964 (from https://pypi.python.org/simple/pytools/), version 6 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-7.tar.gz#md5=10faa2a7919a6bcf70ea425779c87b77 (from https://pypi.python.org/simple/pytools/), version 7 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-8.tar.gz#md5=1cd76f03ac0280d8d22ed4f543812af8 (from https://pypi.python.org/simple/pytools/), version 8 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-9.tar.gz#md5=5cf7944bba89d8bf7d7187b702fbf587 (from https://pypi.python.org/simple/pytools/), version 9 doesn't match >=2013.5.2
  Using version 2013.5.7 (newest of versions: 2013.5.7, 2013.5.6, 2013.5.5, 2013.5.4, 2013.5.3, 2013.5.2)
  Downloading from URL https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.7.tar.gz#md5=8954a655749d646d456335b93aad3caf (from https://pypi.python.org/simple/pytools/)
  Running setup.py egg_info for package pytools

    running egg_info
    creating pip-egg-info/pytools.egg-info
    writing requirements to pip-egg-info/pytools.egg-info/requires.txt
    writing pip-egg-info/pytools.egg-info/PKG-INFO
    writing top-level names to pip-egg-info/pytools.egg-info/top_level.txt
    writing dependency_links to pip-egg-info/pytools.egg-info/dependency_links.txt
    writing manifest file 'pip-egg-info/pytools.egg-info/SOURCES.txt'
    warning: manifest_maker: standard file '-c' not found
    

    reading manifest file 'pip-egg-info/pytools.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    writing manifest file 'pip-egg-info/pytools.egg-info/SOURCES.txt'
  Source in /tmp/pip_build_root/pytools has version 2013.5.7, which satisfies requirement pytools>=2013.5.2 (from pyopencl)
Downloading/unpacking pytest>=2 (from pyopencl)

  Getting page https://pypi.python.org/simple/pytest/
  URLs to search for versions for pytest>=2 (from pyopencl):
  * https://pypi.python.org/simple/pytest/
  Analyzing links from page https://pypi.python.org/simple/pytest/
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.0.0.zip#md5=f07c521dfd5a540f3dfea1846e58dab7 (from https://pypi.python.org/simple/pytest/), version: 2.0.0
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.0.1.zip#md5=0667d82556db906a7429171589d95e4d (from https://pypi.python.org/simple/pytest/), version: 2.0.1
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.0.2.zip#md5=ed1b80b4b9975401d3bd62bf309874f4 (from https://pypi.python.org/simple/pytest/), version: 2.0.2
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.0.3.zip#md5=0e4fe2865a7cf9f86a2aaffd3d72ebbd (from https://pypi.python.org/simple/pytest/), version: 2.0.3
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.1.0.zip#md5=85e70de34628a3412309dddad63c21ce (from https://pypi.python.org/simple/pytest/), version: 2.1.0
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.1.1.zip#md5=f41ca8e05d351fcbaf34a60a2311f764 (from https://pypi.python.org/simple/pytest/), version: 2.1.1
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.1.2.zip#md5=e75a115a38898636c2ce8bbe0e492760 (from https://pypi.python.org/simple/pytest/), version: 2.1.2
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.1.3.zip#md5=f9862126e4b1157f7691fc9993255244 (from https://pypi.python.org/simple/pytest/), version: 2.1.3
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.2.0.zip#md5=fa904c0f879c51f62058dbafe93cbe2f (from https://pypi.python.org/simple/pytest/), version: 2.2.0
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.2.1.zip#md5=3e7d5352205401c6f73976fbf1b48e68 (from https://pypi.python.org/simple/pytest/), version: 2.2.1
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.2.2.zip#md5=69ddec90ba88ace06ba38927dee00632 (from https://pypi.python.org/simple/pytest/), version: 2.2.2
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.2.3.zip#md5=f9b66b28086b8543baa4820d5f880baa (from https://pypi.python.org/simple/pytest/), version: 2.2.3
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.2.4.zip#md5=73ed098e39978890b83cbea1f1ab2a74 (from https://pypi.python.org/simple/pytest/), version: 2.2.4
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.3.0.zip#md5=c6a79ce5c3e156feaf94b57b96ca0d4d (from https://pypi.python.org/simple/pytest/), version: 2.3.0
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.3.1.zip#md5=f8603ab43889a773fbf3d5246fa24b9d (from https://pypi.python.org/simple/pytest/), version: 2.3.1
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.3.2.zip#md5=ccffb2f8b1581203bcd5e18cd6eac4f7 (from https://pypi.python.org/simple/pytest/), version: 2.3.2
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.3.3.zip#md5=a02805c7131bfd42abe91b3f607a0d3a (from https://pypi.python.org/simple/pytest/), version: 2.3.3
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.3.4.zip#md5=db319fef9c310dc46798b285d3da3aa1 (from https://pypi.python.org/simple/pytest/), version: 2.3.4
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.3.5.tar.gz#md5=18f150e7be96b5fe3c388b0e817b8087 (from https://pypi.python.org/simple/pytest/), version: 2.3.5
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.4.0.tar.gz#md5=45dff04f8a380f6f90507172852551d1 (from https://pypi.python.org/simple/pytest/), version: 2.4.0
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.4.1.tar.gz#md5=00496d6577780ace089995efea9706d2 (from https://pypi.python.org/simple/pytest/), version: 2.4.1
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.4.2.tar.gz#md5=9ce14429bd9fae08a3d9ae6b7046d9fc (from https://pypi.python.org/simple/pytest/), version: 2.4.2
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.5.0.tar.gz#md5=cc64de5d46077327ae12a51c3d51e793 (from https://pypi.python.org/simple/pytest/), version: 2.5.0
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.5.1.tar.gz#md5=4e155a0134e6757b37cc6698c20f3e9f (from https://pypi.python.org/simple/pytest/), version: 2.5.1
  Using version 2.5.1 (newest of versions: 2.5.1, 2.5.0, 2.4.2, 2.4.1, 2.4.0, 2.3.5, 2.3.4, 2.3.3, 2.3.2, 2.3.1, 2.3.0, 2.2.4, 2.2.3, 2.2.2, 2.2.1, 2.2.0, 2.1.3, 2.1.2, 2.1.1, 2.1.0, 2.0.3, 2.0.2, 2.0.1, 2.0.0)
  Downloading from URL https://pypi.python.org/packages/source/p/pytest/pytest-2.5.1.tar.gz#md5=4e155a0134e6757b37cc6698c20f3e9f (from https://pypi.python.org/simple/pytest/)
  Running setup.py egg_info for package pytest

    running egg_info
    creating pip-egg-info/pytest.egg-info
    writing requirements to pip-egg-info/pytest.egg-info/requires.txt
    writing pip-egg-info/pytest.egg-info/PKG-INFO
    writing top-level names to pip-egg-info/pytest.egg-info/top_level.txt
    writing dependency_links to pip-egg-info/pytest.egg-info/dependency_links.txt
    writing entry points to pip-egg-info/pytest.egg-info/entry_points.txt
    writing manifest file 'pip-egg-info/pytest.egg-info/SOURCES.txt'
    warning: manifest_maker: standard file '-c' not found
    

    reading manifest file 'pip-egg-info/pytest.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    writing manifest file 'pip-egg-info/pytest.egg-info/SOURCES.txt'
  Source in /tmp/pip_build_root/pytest has version 2.5.1, which satisfies requirement pytest>=2 (from pyopencl)
Downloading/unpacking decorator>=3.2.0 (from pyopencl)

  Getting page https://pypi.python.org/simple/decorator/
  URLs to search for versions for decorator>=3.2.0 (from pyopencl):
  * https://pypi.python.org/simple/decorator/
  Analyzing links from page https://pypi.python.org/simple/decorator/
    Found link https://pypi.python.org/packages/source/d/decorator/decorator-3.3.1.tar.gz#md5=a8fc62acd705f487a71bc406e19e0cc6 (from https://pypi.python.org/simple/decorator/), version: 3.3.1
    Found link https://pypi.python.org/packages/source/d/decorator/decorator-3.3.2.tar.gz#md5=446f5165af67eb0fcd8fd28abd259e86 (from https://pypi.python.org/simple/decorator/), version: 3.3.2
    Found link https://pypi.python.org/packages/source/d/decorator/decorator-3.3.3.tar.gz#md5=f5a0227cb1c34a0e7d5b7f9cd2ae3135 (from https://pypi.python.org/simple/decorator/), version: 3.3.3
    Found link https://pypi.python.org/packages/source/d/decorator/decorator-3.4.0.tar.gz#md5=1e8756f719d746e2fc0dd28b41251356 (from https://pypi.python.org/simple/decorator/), version: 3.4.0
    Skipping link http://code.google.com/p/micheles/source/browse/#hg%2Fdecorator (from https://pypi.python.org/simple/decorator/); not a file
    Skipping link http://micheles.googlecode.com/hg/decorator/documentation.html (from https://pypi.python.org/simple/decorator/); unknown archive format: .html
    Skipping link http://micheles.googlecode.com/hg/decorator/documentation.pdf (from https://pypi.python.org/simple/decorator/); unknown archive format: .pdf
    Skipping link http://micheles.googlecode.com/hg/decorator/documentation3.html (from https://pypi.python.org/simple/decorator/); unknown archive format: .html
    Skipping link http://micheles.googlecode.com/hg/decorator/documentation3.pdf (from https://pypi.python.org/simple/decorator/); unknown archive format: .pdf
    Skipping link http://packages.python.org/distribute/ (from https://pypi.python.org/simple/decorator/); not a file
    Skipping link http://science.webhostinggeeks.com/dekorater-modula (from https://pypi.python.org/simple/decorator/); not a file
  Using version 3.4.0 (newest of versions: 3.4.0, 3.3.3, 3.3.2, 3.3.1)
  Downloading decorator-3.4.0.tar.gz

  Downloading from URL https://pypi.python.org/packages/source/d/decorator/decorator-3.4.0.tar.gz#md5=1e8756f719d746e2fc0dd28b41251356 (from https://pypi.python.org/simple/decorator/)
  Running setup.py egg_info for package decorator

    running egg_info
    creating pip-egg-info/decorator.egg-info
    writing pip-egg-info/decorator.egg-info/PKG-INFO
    writing top-level names to pip-egg-info/decorator.egg-info/top_level.txt
    writing dependency_links to pip-egg-info/decorator.egg-info/dependency_links.txt
    writing manifest file 'pip-egg-info/decorator.egg-info/SOURCES.txt'
    warning: manifest_maker: standard file '-c' not found
    

    reading manifest file 'pip-egg-info/decorator.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    warning: no previously-included files found matching 'Makefile'

    writing manifest file 'pip-egg-info/decorator.egg-info/SOURCES.txt'
  Source in /tmp/pip_build_root/decorator has version 3.4.0, which satisfies requirement decorator>=3.2.0 (from pyopencl)
Downloading/unpacking py>=1.4.19 (from pytest>=2->pyopencl)

  Getting page https://pypi.python.org/simple/py/
  URLs to search for versions for py>=1.4.19 (from pytest>=2->pyopencl):
  * https://pypi.python.org/simple/py/
  Analyzing links from page https://pypi.python.org/simple/py/
    Skipping link https://pypi.python.org/packages/2.4/p/py/py-0.9.2-py2.4-win32.egg#md5=4eac7f97b8efed2271cc0c63c8796f23 (from https://pypi.python.org/simple/py/); unknown archive format: .egg
    Skipping link https://pypi.python.org/packages/2.5/p/py/py-0.9.2-py2.5-win32.egg#md5=afc5e92b1e20475be0f2fe805479de6d (from https://pypi.python.org/simple/py/); unknown archive format: .egg
    Found link https://pypi.python.org/packages/source/p/py/py-0.9.1.tar.gz#md5=daab8d9a814eab31809d973370d23600 (from https://pypi.python.org/simple/py/), version: 0.9.1
    Found link https://pypi.python.org/packages/source/p/py/py-0.9.2.tar.gz#md5=2c996d78867f6ad64dc5aabf1185aaf7 (from https://pypi.python.org/simple/py/), version: 0.9.2
    Found link https://pypi.python.org/packages/source/p/py/py-0.9.2.zip#md5=8447b2ba4c7b4062fcd08aab3377f040 (from https://pypi.python.org/simple/py/), version: 0.9.2
    Found link https://pypi.python.org/packages/source/p/py/py-1.0.0.tar.gz#md5=3223ff8fcaefd060be13262e367794ce (from https://pypi.python.org/simple/py/), version: 1.0.0
    Found link https://pypi.python.org/packages/source/p/py/py-1.0.1.tar.gz#md5=d64444015bac78e0c73ac285f9423750 (from https://pypi.python.org/simple/py/), version: 1.0.1
    Found link https://pypi.python.org/packages/source/p/py/py-1.0.2.tar.gz#md5=4d2e9878b0113159fae2f3ed0cfc081d (from https://pypi.python.org/simple/py/), version: 1.0.2
    Found link https://pypi.python.org/packages/source/p/py/py-1.1.0.tar.gz#md5=fb5d1fcf3173d9c4dce70cfc8888e359 (from https://pypi.python.org/simple/py/), version: 1.1.0
    Found link https://pypi.python.org/packages/source/p/py/py-1.1.1.tar.gz#md5=4d0b5eaf9af09b7682fb07d4c5a2fd45 (from https://pypi.python.org/simple/py/), version: 1.1.1
    Found link https://pypi.python.org/packages/source/p/py/py-1.2.0.tar.gz#md5=c75a9d0a9211a7ecddc981dd8a0158db (from https://pypi.python.org/simple/py/), version: 1.2.0
    Found link https://pypi.python.org/packages/source/p/py/py-1.2.1.tar.gz#md5=7b3f4c0da62131e6dd25f7f3fda013cc (from https://pypi.python.org/simple/py/), version: 1.2.1
    Found link https://pypi.python.org/packages/source/p/py/py-1.3.0.tar.gz#md5=986f75a6303da690e384995633677739 (from https://pypi.python.org/simple/py/), version: 1.3.0
    Found link https://pypi.python.org/packages/source/p/py/py-1.3.1.tar.gz#md5=0cf1fa3d0f281a2bb7ed38ad0b7169da (from https://pypi.python.org/simple/py/), version: 1.3.1
    Found link https://pypi.python.org/packages/source/p/py/py-1.3.2.tar.gz#md5=9e3d99966385854fc07004e8a07cf9d4 (from https://pypi.python.org/simple/py/), version: 1.3.2
    Found link https://pypi.python.org/packages/source/p/py/py-1.3.3.tar.gz#md5=bf0dbc3ce4c18ead263cb5679e5164b4 (from https://pypi.python.org/simple/py/), version: 1.3.3
    Found link https://pypi.python.org/packages/source/p/py/py-1.3.4.tar.gz#md5=b64d73a04121c1c4e27c7ec335ef87c8 (from https://pypi.python.org/simple/py/), version: 1.3.4
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.0.zip#md5=1441a30f94a0f0cfc47d69a792606bff (from https://pypi.python.org/simple/py/), version: 1.4.0
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.1.zip#md5=0e73fa13d01627761b50e614403e1180 (from https://pypi.python.org/simple/py/), version: 1.4.1
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.10.zip#md5=d166e940d8f1c54ba752e52f21528bf2 (from https://pypi.python.org/simple/py/), version: 1.4.10
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.11.zip#md5=d03d4f78606f1c44018021b9a6f2878b (from https://pypi.python.org/simple/py/), version: 1.4.11
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.12.zip#md5=8230f8241dea2517757fab50b4f84449 (from https://pypi.python.org/simple/py/), version: 1.4.12
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.13.tar.gz#md5=3857dc8309d5f284669b81184253c2bb (from https://pypi.python.org/simple/py/), version: 1.4.13
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.14.tar.gz#md5=f441639a1d3f0bbbc955cd22d8127d5e (from https://pypi.python.org/simple/py/), version: 1.4.14
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.15.tar.gz#md5=b5afc772d242d2dbcf7a2fcf3080a799 (from https://pypi.python.org/simple/py/), version: 1.4.15
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.16.tar.gz#md5=3f4aa73ec2c74343ae30ffb1282b6597 (from https://pypi.python.org/simple/py/), version: 1.4.16
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.17.tar.gz#md5=1dba4de9f1ac9b3e025895a0b6ad5a91 (from https://pypi.python.org/simple/py/), version: 1.4.17
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.18.tar.gz#md5=1b04e9879fed8a420b9e52cbaf7d8b4f (from https://pypi.python.org/simple/py/), version: 1.4.18
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.19.tar.gz#md5=d2e24b4363d834bf9192247f143435bc (from https://pypi.python.org/simple/py/), version: 1.4.19
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.2.zip#md5=fd00ef0c7dbaaeb1b37259e571ba28a5 (from https://pypi.python.org/simple/py/), version: 1.4.2
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.3.zip#md5=f20018fda42165f2edb4226c8eafcae4 (from https://pypi.python.org/simple/py/), version: 1.4.3
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.4.zip#md5=5f94e19ce855df25d430265a19287db0 (from https://pypi.python.org/simple/py/), version: 1.4.4
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.5.zip#md5=d2a51f8c9eca43e2953cdec72989d6ec (from https://pypi.python.org/simple/py/), version: 1.4.5
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.6.zip#md5=18381334c69450a080ede4d04efb4b52 (from https://pypi.python.org/simple/py/), version: 1.4.6
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.7.dev3.zip#md5=e83ff50740ed06972157629c14433eb8 (from https://pypi.python.org/simple/py/), version: 1.4.7.dev3
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.7.zip#md5=fb1b2608eb4f52f67405fb316dbab09f (from https://pypi.python.org/simple/py/), version: 1.4.7
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.8.zip#md5=4577e659435568d168c66b69a3cb968a (from https://pypi.python.org/simple/py/), version: 1.4.8
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.9.zip#md5=471a88edcdae2f9689c0193972a1a1f8 (from https://pypi.python.org/simple/py/), version: 1.4.9
  Ignoring link https://pypi.python.org/packages/source/p/py/py-0.9.1.tar.gz#md5=daab8d9a814eab31809d973370d23600 (from https://pypi.python.org/simple/py/), version 0.9.1 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-0.9.2.tar.gz#md5=2c996d78867f6ad64dc5aabf1185aaf7 (from https://pypi.python.org/simple/py/), version 0.9.2 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-0.9.2.zip#md5=8447b2ba4c7b4062fcd08aab3377f040 (from https://pypi.python.org/simple/py/), version 0.9.2 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.0.0.tar.gz#md5=3223ff8fcaefd060be13262e367794ce (from https://pypi.python.org/simple/py/), version 1.0.0 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.0.1.tar.gz#md5=d64444015bac78e0c73ac285f9423750 (from https://pypi.python.org/simple/py/), version 1.0.1 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.0.2.tar.gz#md5=4d2e9878b0113159fae2f3ed0cfc081d (from https://pypi.python.org/simple/py/), version 1.0.2 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.1.0.tar.gz#md5=fb5d1fcf3173d9c4dce70cfc8888e359 (from https://pypi.python.org/simple/py/), version 1.1.0 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.1.1.tar.gz#md5=4d0b5eaf9af09b7682fb07d4c5a2fd45 (from https://pypi.python.org/simple/py/), version 1.1.1 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.2.0.tar.gz#md5=c75a9d0a9211a7ecddc981dd8a0158db (from https://pypi.python.org/simple/py/), version 1.2.0 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.2.1.tar.gz#md5=7b3f4c0da62131e6dd25f7f3fda013cc (from https://pypi.python.org/simple/py/), version 1.2.1 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.3.0.tar.gz#md5=986f75a6303da690e384995633677739 (from https://pypi.python.org/simple/py/), version 1.3.0 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.3.1.tar.gz#md5=0cf1fa3d0f281a2bb7ed38ad0b7169da (from https://pypi.python.org/simple/py/), version 1.3.1 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.3.2.tar.gz#md5=9e3d99966385854fc07004e8a07cf9d4 (from https://pypi.python.org/simple/py/), version 1.3.2 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.3.3.tar.gz#md5=bf0dbc3ce4c18ead263cb5679e5164b4 (from https://pypi.python.org/simple/py/), version 1.3.3 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.3.4.tar.gz#md5=b64d73a04121c1c4e27c7ec335ef87c8 (from https://pypi.python.org/simple/py/), version 1.3.4 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.0.zip#md5=1441a30f94a0f0cfc47d69a792606bff (from https://pypi.python.org/simple/py/), version 1.4.0 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.1.zip#md5=0e73fa13d01627761b50e614403e1180 (from https://pypi.python.org/simple/py/), version 1.4.1 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.10.zip#md5=d166e940d8f1c54ba752e52f21528bf2 (from https://pypi.python.org/simple/py/), version 1.4.10 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.11.zip#md5=d03d4f78606f1c44018021b9a6f2878b (from https://pypi.python.org/simple/py/), version 1.4.11 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.12.zip#md5=8230f8241dea2517757fab50b4f84449 (from https://pypi.python.org/simple/py/), version 1.4.12 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.13.tar.gz#md5=3857dc8309d5f284669b81184253c2bb (from https://pypi.python.org/simple/py/), version 1.4.13 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.14.tar.gz#md5=f441639a1d3f0bbbc955cd22d8127d5e (from https://pypi.python.org/simple/py/), version 1.4.14 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.15.tar.gz#md5=b5afc772d242d2dbcf7a2fcf3080a799 (from https://pypi.python.org/simple/py/), version 1.4.15 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.16.tar.gz#md5=3f4aa73ec2c74343ae30ffb1282b6597 (from https://pypi.python.org/simple/py/), version 1.4.16 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.17.tar.gz#md5=1dba4de9f1ac9b3e025895a0b6ad5a91 (from https://pypi.python.org/simple/py/), version 1.4.17 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.18.tar.gz#md5=1b04e9879fed8a420b9e52cbaf7d8b4f (from https://pypi.python.org/simple/py/), version 1.4.18 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.2.zip#md5=fd00ef0c7dbaaeb1b37259e571ba28a5 (from https://pypi.python.org/simple/py/), version 1.4.2 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.3.zip#md5=f20018fda42165f2edb4226c8eafcae4 (from https://pypi.python.org/simple/py/), version 1.4.3 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.4.zip#md5=5f94e19ce855df25d430265a19287db0 (from https://pypi.python.org/simple/py/), version 1.4.4 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.5.zip#md5=d2a51f8c9eca43e2953cdec72989d6ec (from https://pypi.python.org/simple/py/), version 1.4.5 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.6.zip#md5=18381334c69450a080ede4d04efb4b52 (from https://pypi.python.org/simple/py/), version 1.4.6 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.7.dev3.zip#md5=e83ff50740ed06972157629c14433eb8 (from https://pypi.python.org/simple/py/), version 1.4.7.dev3 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.7.zip#md5=fb1b2608eb4f52f67405fb316dbab09f (from https://pypi.python.org/simple/py/), version 1.4.7 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.8.zip#md5=4577e659435568d168c66b69a3cb968a (from https://pypi.python.org/simple/py/), version 1.4.8 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.9.zip#md5=471a88edcdae2f9689c0193972a1a1f8 (from https://pypi.python.org/simple/py/), version 1.4.9 doesn't match >=1.4.19
  Downloading from URL https://pypi.python.org/packages/source/p/py/py-1.4.19.tar.gz#md5=d2e24b4363d834bf9192247f143435bc (from https://pypi.python.org/simple/py/)
  Running setup.py egg_info for package py

    running egg_info
    creating pip-egg-info/py.egg-info
    writing pip-egg-info/py.egg-info/PKG-INFO
    writing top-level names to pip-egg-info/py.egg-info/top_level.txt
    writing dependency_links to pip-egg-info/py.egg-info/dependency_links.txt
    writing manifest file 'pip-egg-info/py.egg-info/SOURCES.txt'
    warning: manifest_maker: standard file '-c' not found
    

    reading manifest file 'pip-egg-info/py.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    warning: no files found matching 'distribute_setup.py'

    writing manifest file 'pip-egg-info/py.egg-info/SOURCES.txt'
  Source in /tmp/pip_build_root/py has version 1.4.19, which satisfies requirement py>=1.4.19 (from pytest>=2->pyopencl)
Installing collected packages: pyopencl, pytools, pytest, decorator, py

  Running setup.py install for pyopencl

    Running command /usr/bin/python -c "import setuptools;__file__='/tmp/pip_build_root/pyopencl/setup.py';exec(compile(open(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-8qZBKG-record/install-record.txt --single-version-externally-managed
    ---------------------------------------------------------------------------

    Mako is not installed.

    ---------------------------------------------------------------------------

    That is not a problem, as most of PyOpenCL will be just fine

    without it.Some higher-level parts of pyopencl (such as

    pyopencl.reduction) will not function without the templating engine

    Mako [1] being installed. If you would like this functionality to

    work, you might want to install Mako after you finish

    installing PyOpenCL.

    

    [1] http://www.makotemplates.org/

    ---------------------------------------------------------------------------

    Hit Ctrl-C now if you'd like to think about the situation.

    ---------------------------------------------------------------------------

    Continuing in 5 seconds...  
Continuing in 4 seconds...  
Continuing in 3 seconds...  
Continuing in 2 seconds...  
Continuing in 1 seconds...

    running install
    running build
    running build_py
    creating build
    creating build/lib.linux-i686-2.7
    creating build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/clmath.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/scan.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/version.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/algorithm.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/array.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/__init__.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/tools.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/_cluda.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/_mymako.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/capture_call.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/elementwise.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/reduction.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/clrandom.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/cache.py -> build/lib.linux-i686-2.7/pyopencl
    creating build/lib.linux-i686-2.7/pyopencl/characterize
    copying pyopencl/characterize/performance.py -> build/lib.linux-i686-2.7/pyopencl/characterize
    copying pyopencl/characterize/__init__.py -> build/lib.linux-i686-2.7/pyopencl/characterize
    creating build/lib.linux-i686-2.7/pyopencl/compyte
    copying pyopencl/compyte/dtypes.py -> build/lib.linux-i686-2.7/pyopencl/compyte
    copying pyopencl/compyte/array.py -> build/lib.linux-i686-2.7/pyopencl/compyte
    copying pyopencl/compyte/__init__.py -> build/lib.linux-i686-2.7/pyopencl/compyte
    creating build/lib.linux-i686-2.7/pyopencl/cl
    copying pyopencl/cl/pyopencl-eval-tbl.cl -> build/lib.linux-i686-2.7/pyopencl/cl
    copying pyopencl/cl/pyopencl-bessel-y.cl -> build/lib.linux-i686-2.7/pyopencl/cl
    copying pyopencl/cl/pyopencl-bessel-j.cl -> build/lib.linux-i686-2.7/pyopencl/cl
    copying pyopencl/cl/pyopencl-airy.cl -> build/lib.linux-i686-2.7/pyopencl/cl
    copying pyopencl/cl/pyopencl-ranluxcl.cl -> build/lib.linux-i686-2.7/pyopencl/cl
    copying pyopencl/cl/pyopencl-complex.h -> build/lib.linux-i686-2.7/pyopencl/cl
    running build_ext
    building '_cl' extension

    ---------------------------------------------------------------------------

    Sorry, your build failed. Try rerunning configure.py with different options.

    ---------------------------------------------------------------------------

Code:
Traceback (most recent call last):

  File "<string>", line 1, in <module>

  File "/tmp/pip_build_root/pyopencl/setup.py", line 249, in <module>

    main()

  File "/tmp/pip_build_root/pyopencl/setup.py", line 245, in main

    zip_safe=False)

  File "aksetup_helper.py", line 21, in setup

    setup(*args, **kwargs)

  File "/usr/lib/python2.7/distutils/core.py", line 152, in setup

    dist.run_commands()

  File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands

    self.run_command(cmd)

  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command

    cmd_obj.run()

  File "/usr/lib/python2.7/dist-packages/setuptools/command/install.py", line 53, in run

    return _install.run(self)

  File "/usr/lib/python2.7/distutils/command/install.py", line 601, in run

    self.run_command('build')

  File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command

    self.distribution.run_command(command)

  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command

    cmd_obj.run()

  File "/usr/lib/python2.7/distutils/command/build.py", line 128, in run

    self.run_command(cmd_name)

  File "/usr/lib/python2.7/distutils/cmd.py", line 326, in run_command

    self.distribution.run_command(command)

  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command

    cmd_obj.run()

  File "/usr/lib/python2.7/dist-packages/setuptools/command/build_ext.py", line 46, in run

    _build_ext.run(self)

  File "/usr/lib/python2.7/distutils/command/build_ext.py", line 339, in run

    self.build_extensions()

  File "/usr/lib/python2.7/distutils/command/build_ext.py", line 448, in build_extensions

    self.build_extension(ext)

  File "/usr/lib/python2.7/dist-packages/setuptools/command/build_ext.py", line 182, in build_extension

    _build_ext.build_extension(self,ext)

  File "/usr/lib/python2.7/distutils/command/build_ext.py", line 495, in build_extension

    include_dirs=ext.include_dirs,

  File "aksetup_helper.py", line 51, in get_include_dirs

    return self._include_dirs + [self.get_numpy_incpath()]

  File "aksetup_helper.py", line 46, in get_numpy_incpath

    file, pathname, descr = find_module("numpy")

ImportError: No module named numpy

----------------------------------------

Cleaning up...

  Removing temporary dir /tmp/pip_build_root...
Command /usr/bin/python -c "import setuptools;__file__='/tmp/pip_build_root/pyopencl/setup.py';exec(compile(open(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-8qZBKG-record/install-record.txt --single-version-externally-managed failed with error code 1 in /tmp/pip_build_root/pyopencl

Exception information:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/pip/basecommand.py", line 134, in main
    status = self.run(options, args)
  File "/usr/lib/python2.7/dist-packages/pip/commands/install.py", line 241, in run
    requirement_set.install(install_options, global_options, root=options.root_path)
  File "/usr/lib/python2.7/dist-packages/pip/req.py", line 1298, in install
    requirement.install(install_options, global_options, *args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/pip/req.py", line 625, in install
    cwd=self.source_dir, filter_stdout=self._filter_install, show_stdout=False)
  File "/usr/lib/python2.7/dist-packages/pip/util.py", line 670, in call_subprocess
    % (command_desc, proc.returncode, cwd))
InstallationError: Command /usr/bin/python -c "import setuptools;__file__='/tmp/pip_build_root/pyopencl/setup.py';exec(compile(open(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-8qZBKG-record/install-record.txt --single-version-externally-managed failed with error code 1 in /tmp/pip_build_root/pyopencl

<a href="https://hashflare.io/r/E10633A3">
Calhil
Full Member
***
Offline Offline

Activity: 182


View Profile
December 28, 2013, 10:25:43 PM
á#392

Seems to me like its missing some links to opencl libraries. If you have the latest amd drivers installed try this:

Download the latest pyopencl:
git clone --recursive http://git.tiker.net/trees/pyopencl.git

And then:
python configure.py --cl-inc-dir=/opt/AMDAPP/include/ --cl-lib-dir=/opt/AMDAPP/lib/x86_64 --cl-libname=OpenCL
python setup.py build
sudo python setup.py install

Edit:
Actually you probably could just do:
sudo apt-get install python-pyopencl

BLC & SKC node: addnode=192.3.171.213
BLC: BcaLHiLk74XXSZdebHQY8b3CaoEBLaPtoV
escobol
Member
**
Offline Offline

Activity: 79


View Profile
December 28, 2013, 10:26:09 PM
á#393

Pernicio, maybe this will help

https://docs.google.com/document/d/1Gw7YPYgMgNNU42skibULbJJUx_suP_CpjSEdSi8_z9U/mobilebasic?pli=1


And i remember that i was having problem like you with Not proprietary video driver
reorder
Sr. Member
****
Offline Offline

Activity: 462


View Profile
December 28, 2013, 10:32:10 PM
á#394

...
ImportError: No module named numpy
...

So, you have to install numpy first.
escobol
Member
**
Offline Offline

Activity: 79


View Profile
December 28, 2013, 10:55:18 PM
á#395

with cgminer we could make our version of bamt...
madjihad
Sr. Member
****
Offline Offline

Activity: 245


🌟 Šternity🌟 blockchain🌟


View Profile
December 28, 2013, 10:56:49 PM
á#396


Thank you for the advice Smiley Though it seems it doesn't work any better, got a bunch of other errors - pip-log below;


Code:
sudo pip install numpy

should help

madjihad
Sr. Member
****
Offline Offline

Activity: 245


🌟 Šternity🌟 blockchain🌟


View Profile
December 28, 2013, 11:09:55 PM
á#397

with cgminer we could make our version of bamt...

Yes, but it could be not so easy to provide cgminer Sad
So better to start as soon as possible Smiley

MethMatician
Full Member
***
Offline Offline

Activity: 132


View Profile
December 28, 2013, 11:26:19 PM
á#398

hi guys.. im working on a simple app for android which i ll soon place in the store (im using it right now).. its in my spare time just for fun (so dont think its fancy).. i dont know what to place in the app so suggestions would be nice.. now i got this forum in it, the pool, some google info, a twitter feed and i wanne place this link (skeincoin.wordpresss.com) in it as well so i can inform everyone whats going on.. any good?

skeincoin.wordpress.com has a poll right now so hopefully u guys can check it and give me some suggestions for the app..

merry xmas (btw) and a happy new year for now Smiley!

That's very good.
With some extra effort we can create even android wallet for Skein. There is an opensource app for Bitcoin, which could be a good base: https://github.com/schildbach/bitcoin-wallet

i ll look in to it tomorrow.. but would be awesome.. i ve been thinking of paperwallets as well.. some source codes are available too..
snoopdoug
Newbie
*
Offline Offline

Activity: 16


View Profile
December 29, 2013, 12:18:25 AM
á#399

I just sold SKCs to Majormax.

No escrow was needed.  Majormax is trustworthy and easy to trade with.
Pernicio
Newbie
*
Offline Offline

Activity: 9

https://hashflare.io/r/E10633A3


View Profile WWW
December 29, 2013, 02:39:13 AM
á#400

Seems to me like its missing some links to opencl libraries. If you have the latest amd drivers installed try this:

Download the latest pyopencl:
git clone --recursive http://git.tiker.net/trees/pyopencl.git

And then:
python configure.py --cl-inc-dir=/opt/AMDAPP/include/ --cl-lib-dir=/opt/AMDAPP/lib/x86_64 --cl-libname=OpenCL
python setup.py build
sudo python setup.py install

Edit:
Actually you probably could just do:
sudo apt-get install python-pyopencl

I tried this, but unfortunately it didn't fix it - still says that "No PyOpenCl".


Thank you for the advice Smiley Though it seems it doesn't work any better, got a bunch of other errors - pip-log below;


Code:
sudo pip install numpy

should help

I also tried to install numpy, but couldn't before I installed python-dev first. But even with numpy, I still get errors when I try to install PyOpenCl with pip;
https://www.dropbox.com/s/giinpzg4omvr3ub/pip2.log
Code:
Downloading/unpacking pyopencl

  Getting page https://pypi.python.org/simple/pyopencl/
  URLs to search for versions for pyopencl:
  * https://pypi.python.org/simple/pyopencl/
  Analyzing links from page https://pypi.python.org/simple/pyopencl/
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.90.1.tar.gz#md5=80f8ffbdbeebc106ac9b28e6f2ef179e (from https://pypi.python.org/simple/pyopencl/), version: 0.90.1
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.90.2.tar.gz#md5=824e1f327bee216bd9b254a576ce8476 (from https://pypi.python.org/simple/pyopencl/), version: 0.90.2
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.90.3.tar.gz#md5=36ee54cfe2123a3e6cf352fa579f00d3 (from https://pypi.python.org/simple/pyopencl/), version: 0.90.3
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.90.4.tar.gz#md5=0573fce5476afd658398ea21b9c475f4 (from https://pypi.python.org/simple/pyopencl/), version: 0.90.4
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.90.tar.gz#md5=293f7305da9d3e11556a53bad394fe13 (from https://pypi.python.org/simple/pyopencl/), version: 0.90
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.91.1.tar.gz#md5=05fa5d71c6a0109cc66bd988f9bc0ee2 (from https://pypi.python.org/simple/pyopencl/), version: 0.91.1
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.91.2.tar.gz#md5=03da0b48a1da7700031377702eb37c37 (from https://pypi.python.org/simple/pyopencl/), version: 0.91.2
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.91.3.tar.gz#md5=23be187de61f6732cbddd918c34472ae (from https://pypi.python.org/simple/pyopencl/), version: 0.91.3
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.91.4.tar.gz#md5=a6596e0754e57e3e784f98675286974c (from https://pypi.python.org/simple/pyopencl/), version: 0.91.4
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.91.5.tar.gz#md5=e09ad8c07b5412e965d6004ba3a644b8 (from https://pypi.python.org/simple/pyopencl/), version: 0.91.5
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.91.tar.gz#md5=12df2969e91e3e9c8420b674d689e72f (from https://pypi.python.org/simple/pyopencl/), version: 0.91
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-0.92.tar.gz#md5=0680f7272fe3ab5a3bcb0b6cfbd74994 (from https://pypi.python.org/simple/pyopencl/), version: 0.92
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1.1.tar.gz#md5=df335256de5d9e3f802d0c3a19279169 (from https://pypi.python.org/simple/pyopencl/), version: 2011.1.1
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1.2.tar.gz#md5=9b0c1fe3e83338b4c89401cd3d52ca59 (from https://pypi.python.org/simple/pyopencl/), version: 2011.1.2
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1.tar.gz#md5=9df3931dea914d05145f9074f82407d5 (from https://pypi.python.org/simple/pyopencl/), version: 2011.1
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1beta.tar.gz#md5=e7555c52f8c1d20e599179d7f5d1c30f (from https://pypi.python.org/simple/pyopencl/), version: 2011.1beta
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1beta2.tar.gz#md5=973f3eab6aa70a315569f0110cd115c5 (from https://pypi.python.org/simple/pyopencl/), version: 2011.1beta2
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1beta3.tar.gz#md5=efc633bb5e7a03207fa657a61a12c7af (from https://pypi.python.org/simple/pyopencl/), version: 2011.1beta3
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.2.tar.gz#md5=db51a29aff5973f3f4a5a52d7ddc7696 (from https://pypi.python.org/simple/pyopencl/), version: 2011.2
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2012.1.tar.gz#md5=e6ae70d89d086af4636e4fbb2c806368 (from https://pypi.python.org/simple/pyopencl/), version: 2012.1
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2013.1.tar.gz#md5=c506e4ec5bc56ad85bf005ec40d4783b (from https://pypi.python.org/simple/pyopencl/), version: 2013.1
    Found link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2013.2.tar.gz#md5=112806c1f324cd02e5427bfdca43899d (from https://pypi.python.org/simple/pyopencl/), version: 2013.2
  Ignoring link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1beta.tar.gz#md5=e7555c52f8c1d20e599179d7f5d1c30f (from https://pypi.python.org/simple/pyopencl/), version 2011.1beta is a pre-release (use --pre to allow).
  Ignoring link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1beta2.tar.gz#md5=973f3eab6aa70a315569f0110cd115c5 (from https://pypi.python.org/simple/pyopencl/), version 2011.1beta2 is a pre-release (use --pre to allow).
  Ignoring link https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2011.1beta3.tar.gz#md5=efc633bb5e7a03207fa657a61a12c7af (from https://pypi.python.org/simple/pyopencl/), version 2011.1beta3 is a pre-release (use --pre to allow).
  Using version 2013.2 (newest of versions: 2013.2, 2013.1, 2012.1, 2011.2, 2011.1.2, 2011.1.1, 2011.1, 0.92, 0.91.5, 0.91.4, 0.91.3, 0.91.2, 0.91.1, 0.91, 0.90.4, 0.90.3, 0.90.2, 0.90.1, 0.90)
  Downloading from URL https://pypi.python.org/packages/source/p/pyopencl/pyopencl-2013.2.tar.gz#md5=112806c1f324cd02e5427bfdca43899d (from https://pypi.python.org/simple/pyopencl/)
  Running setup.py egg_info for package pyopencl

    ---------------------------------------------------------------------------

    Mako is not installed.

    ---------------------------------------------------------------------------

    That is not a problem, as most of PyOpenCL will be just fine

    without it.Some higher-level parts of pyopencl (such as

    pyopencl.reduction) will not function without the templating engine

    Mako [1] being installed. If you would like this functionality to

    work, you might want to install Mako after you finish

    installing PyOpenCL.

    

    [1] http://www.makotemplates.org/

    ---------------------------------------------------------------------------

    Hit Ctrl-C now if you'd like to think about the situation.

    ---------------------------------------------------------------------------

    Continuing in 5 seconds...  
Continuing in 4 seconds...  
Continuing in 3 seconds...  
Continuing in 2 seconds...  
Continuing in 1 seconds...

    running egg_info
    creating pip-egg-info/pyopencl.egg-info
    writing requirements to pip-egg-info/pyopencl.egg-info/requires.txt
    writing pip-egg-info/pyopencl.egg-info/PKG-INFO
    writing top-level names to pip-egg-info/pyopencl.egg-info/top_level.txt
    writing dependency_links to pip-egg-info/pyopencl.egg-info/dependency_links.txt
    writing manifest file 'pip-egg-info/pyopencl.egg-info/SOURCES.txt'
    warning: manifest_maker: standard file '-c' not found
    

    reading manifest file 'pip-egg-info/pyopencl.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    warning: no files found matching 'doc/source/*.rst'

    warning: no files found matching 'doc/source/conf.py'

    warning: no files found matching 'doc/source/_static/*.css'

    warning: no files found matching 'doc/source/_templates/*.html'

    warning: no files found matching '*.cpp' under directory 'bpl-subset/bpl_subset/boost'

    warning: no files found matching '*.html' under directory 'bpl-subset/bpl_subset/boost'

    warning: no files found matching '*.inl' under directory 'bpl-subset/bpl_subset/boost'

    warning: no files found matching '*.txt' under directory 'bpl-subset/bpl_subset/boost'

    warning: no files found matching '*.h' under directory 'bpl-subset/bpl_subset/libs'

    warning: no files found matching '*.ipp' under directory 'bpl-subset/bpl_subset/libs'

    warning: no files found matching '*.pl' under directory 'bpl-subset/bpl_subset/libs'

    writing manifest file 'pip-egg-info/pyopencl.egg-info/SOURCES.txt'
  Source in /tmp/pip_build_root/pyopencl has version 2013.2, which satisfies requirement pyopencl
Downloading/unpacking pytools>=2013.5.2 (from pyopencl)

  Getting page https://pypi.python.org/simple/pytools/
  URLs to search for versions for pytools>=2013.5.2 (from pyopencl):
  * https://pypi.python.org/simple/pytools/
  Analyzing links from page https://pypi.python.org/simple/pytools/
    Skipping link https://pypi.python.org/packages/2.7/p/pytools/pytools-2013.5.7-py2.py3-none-any.whl#md5=da0b15b00005614eacf8e11f07bcde83 (from https://pypi.python.org/simple/pytools/); unknown archive format: .whl
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-1.tar.gz#md5=845539d05d407257ad3a7b6a0366b9a7 (from https://pypi.python.org/simple/pytools/), version: 1
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-10.tar.gz#md5=57efeca513abbeeb9feb5d24ea9b02c8 (from https://pypi.python.org/simple/pytools/), version: 10
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-11.tar.gz#md5=e8b66f85cd054145d10ce14b8102bc33 (from https://pypi.python.org/simple/pytools/), version: 11
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2.tar.gz#md5=ad60f422c416fa37c2e24ab35bf3332a (from https://pypi.python.org/simple/pytools/), version: 2
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2011.1.tar.gz#md5=45307f0698f4f5452e31b5f97e73f859 (from https://pypi.python.org/simple/pytools/), version: 2011.1
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2011.2.tar.gz#md5=9046a3a1711b5dba8203efb8c9922716 (from https://pypi.python.org/simple/pytools/), version: 2011.2
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2011.3.tar.gz#md5=6a437dd3dea416e3c97d3df88efddc4d (from https://pypi.python.org/simple/pytools/), version: 2011.3
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2011.4.tar.gz#md5=828a56e298bd2fce2b3e42ce41a85372 (from https://pypi.python.org/simple/pytools/), version: 2011.4
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2011.5.tar.gz#md5=90107519fee21eeb7e712afb2178a568 (from https://pypi.python.org/simple/pytools/), version: 2011.5
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2012.1.tar.gz#md5=92e299d714cd7153846daf904b787799 (from https://pypi.python.org/simple/pytools/), version: 2012.1
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.1.tar.gz#md5=aa531cbf9615ea02d20d9aff93d622bb (from https://pypi.python.org/simple/pytools/), version: 2013.1
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.2.tar.gz#md5=b34d93860441ce1865666b8e8b3fd6a1 (from https://pypi.python.org/simple/pytools/), version: 2013.2
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.3.tar.gz#md5=75c91cbadde43d61e21325de26f5861d (from https://pypi.python.org/simple/pytools/), version: 2013.3
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.4.tar.gz#md5=bfde80d3772d14d33a80c133b515d607 (from https://pypi.python.org/simple/pytools/), version: 2013.4
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.1.tar.gz#md5=20fcd19cd8f8ebd8178c783c0352e923 (from https://pypi.python.org/simple/pytools/), version: 2013.5.1
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.2.tar.gz#md5=a17ae102013b9c134cc0bea4171e454a (from https://pypi.python.org/simple/pytools/), version: 2013.5.2
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.3.tar.gz#md5=15bbae05e8cac74b0182f5dca36f6b94 (from https://pypi.python.org/simple/pytools/), version: 2013.5.3
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.4.tar.gz#md5=23389abf3fea5724dcec582971ccfbcd (from https://pypi.python.org/simple/pytools/), version: 2013.5.4
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.5.tar.gz#md5=727bd57b903f01d1341785eafbb43a89 (from https://pypi.python.org/simple/pytools/), version: 2013.5.5
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.6.tar.gz#md5=8ebae464e9e901a227fcc51a9223948f (from https://pypi.python.org/simple/pytools/), version: 2013.5.6
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.7.tar.gz#md5=8954a655749d646d456335b93aad3caf (from https://pypi.python.org/simple/pytools/), version: 2013.5.7
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.tar.gz#md5=425603f01f57843834af544bfe04e81e (from https://pypi.python.org/simple/pytools/), version: 2013.5
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-3.tar.gz#md5=ea5d4e4c5264f890f9554e4851cd3346 (from https://pypi.python.org/simple/pytools/), version: 3
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-4.tar.gz#md5=b1707c9c62b5ab3ab1f8624d1a1fc395 (from https://pypi.python.org/simple/pytools/), version: 4
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-5.tar.gz#md5=f287711e0e9bae24eb5b6f13d1c8843a (from https://pypi.python.org/simple/pytools/), version: 5
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-6.tar.gz#md5=fd3d94eeeb2a56c30bd8ee4bfa6fe964 (from https://pypi.python.org/simple/pytools/), version: 6
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-7.tar.gz#md5=10faa2a7919a6bcf70ea425779c87b77 (from https://pypi.python.org/simple/pytools/), version: 7
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-8.tar.gz#md5=1cd76f03ac0280d8d22ed4f543812af8 (from https://pypi.python.org/simple/pytools/), version: 8
    Found link https://pypi.python.org/packages/source/p/pytools/pytools-9.tar.gz#md5=5cf7944bba89d8bf7d7187b702fbf587 (from https://pypi.python.org/simple/pytools/), version: 9
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-1.tar.gz#md5=845539d05d407257ad3a7b6a0366b9a7 (from https://pypi.python.org/simple/pytools/), version 1 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-10.tar.gz#md5=57efeca513abbeeb9feb5d24ea9b02c8 (from https://pypi.python.org/simple/pytools/), version 10 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-11.tar.gz#md5=e8b66f85cd054145d10ce14b8102bc33 (from https://pypi.python.org/simple/pytools/), version 11 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2.tar.gz#md5=ad60f422c416fa37c2e24ab35bf3332a (from https://pypi.python.org/simple/pytools/), version 2 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2011.1.tar.gz#md5=45307f0698f4f5452e31b5f97e73f859 (from https://pypi.python.org/simple/pytools/), version 2011.1 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2011.2.tar.gz#md5=9046a3a1711b5dba8203efb8c9922716 (from https://pypi.python.org/simple/pytools/), version 2011.2 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2011.3.tar.gz#md5=6a437dd3dea416e3c97d3df88efddc4d (from https://pypi.python.org/simple/pytools/), version 2011.3 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2011.4.tar.gz#md5=828a56e298bd2fce2b3e42ce41a85372 (from https://pypi.python.org/simple/pytools/), version 2011.4 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2011.5.tar.gz#md5=90107519fee21eeb7e712afb2178a568 (from https://pypi.python.org/simple/pytools/), version 2011.5 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2012.1.tar.gz#md5=92e299d714cd7153846daf904b787799 (from https://pypi.python.org/simple/pytools/), version 2012.1 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2013.1.tar.gz#md5=aa531cbf9615ea02d20d9aff93d622bb (from https://pypi.python.org/simple/pytools/), version 2013.1 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2013.2.tar.gz#md5=b34d93860441ce1865666b8e8b3fd6a1 (from https://pypi.python.org/simple/pytools/), version 2013.2 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2013.3.tar.gz#md5=75c91cbadde43d61e21325de26f5861d (from https://pypi.python.org/simple/pytools/), version 2013.3 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2013.4.tar.gz#md5=bfde80d3772d14d33a80c133b515d607 (from https://pypi.python.org/simple/pytools/), version 2013.4 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.1.tar.gz#md5=20fcd19cd8f8ebd8178c783c0352e923 (from https://pypi.python.org/simple/pytools/), version 2013.5.1 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.tar.gz#md5=425603f01f57843834af544bfe04e81e (from https://pypi.python.org/simple/pytools/), version 2013.5 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-3.tar.gz#md5=ea5d4e4c5264f890f9554e4851cd3346 (from https://pypi.python.org/simple/pytools/), version 3 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-4.tar.gz#md5=b1707c9c62b5ab3ab1f8624d1a1fc395 (from https://pypi.python.org/simple/pytools/), version 4 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-5.tar.gz#md5=f287711e0e9bae24eb5b6f13d1c8843a (from https://pypi.python.org/simple/pytools/), version 5 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-6.tar.gz#md5=fd3d94eeeb2a56c30bd8ee4bfa6fe964 (from https://pypi.python.org/simple/pytools/), version 6 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-7.tar.gz#md5=10faa2a7919a6bcf70ea425779c87b77 (from https://pypi.python.org/simple/pytools/), version 7 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-8.tar.gz#md5=1cd76f03ac0280d8d22ed4f543812af8 (from https://pypi.python.org/simple/pytools/), version 8 doesn't match >=2013.5.2
  Ignoring link https://pypi.python.org/packages/source/p/pytools/pytools-9.tar.gz#md5=5cf7944bba89d8bf7d7187b702fbf587 (from https://pypi.python.org/simple/pytools/), version 9 doesn't match >=2013.5.2
  Using version 2013.5.7 (newest of versions: 2013.5.7, 2013.5.6, 2013.5.5, 2013.5.4, 2013.5.3, 2013.5.2)
  Downloading from URL https://pypi.python.org/packages/source/p/pytools/pytools-2013.5.7.tar.gz#md5=8954a655749d646d456335b93aad3caf (from https://pypi.python.org/simple/pytools/)
  Running setup.py egg_info for package pytools

    running egg_info
    creating pip-egg-info/pytools.egg-info
    writing requirements to pip-egg-info/pytools.egg-info/requires.txt
    writing pip-egg-info/pytools.egg-info/PKG-INFO
    writing top-level names to pip-egg-info/pytools.egg-info/top_level.txt
    writing dependency_links to pip-egg-info/pytools.egg-info/dependency_links.txt
    writing manifest file 'pip-egg-info/pytools.egg-info/SOURCES.txt'
    warning: manifest_maker: standard file '-c' not found
    

    reading manifest file 'pip-egg-info/pytools.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    writing manifest file 'pip-egg-info/pytools.egg-info/SOURCES.txt'
  Source in /tmp/pip_build_root/pytools has version 2013.5.7, which satisfies requirement pytools>=2013.5.2 (from pyopencl)
Downloading/unpacking pytest>=2 (from pyopencl)

  Getting page https://pypi.python.org/simple/pytest/
  URLs to search for versions for pytest>=2 (from pyopencl):
  * https://pypi.python.org/simple/pytest/
  Analyzing links from page https://pypi.python.org/simple/pytest/
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.0.0.zip#md5=f07c521dfd5a540f3dfea1846e58dab7 (from https://pypi.python.org/simple/pytest/), version: 2.0.0
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.0.1.zip#md5=0667d82556db906a7429171589d95e4d (from https://pypi.python.org/simple/pytest/), version: 2.0.1
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.0.2.zip#md5=ed1b80b4b9975401d3bd62bf309874f4 (from https://pypi.python.org/simple/pytest/), version: 2.0.2
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.0.3.zip#md5=0e4fe2865a7cf9f86a2aaffd3d72ebbd (from https://pypi.python.org/simple/pytest/), version: 2.0.3
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.1.0.zip#md5=85e70de34628a3412309dddad63c21ce (from https://pypi.python.org/simple/pytest/), version: 2.1.0
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.1.1.zip#md5=f41ca8e05d351fcbaf34a60a2311f764 (from https://pypi.python.org/simple/pytest/), version: 2.1.1
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.1.2.zip#md5=e75a115a38898636c2ce8bbe0e492760 (from https://pypi.python.org/simple/pytest/), version: 2.1.2
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.1.3.zip#md5=f9862126e4b1157f7691fc9993255244 (from https://pypi.python.org/simple/pytest/), version: 2.1.3
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.2.0.zip#md5=fa904c0f879c51f62058dbafe93cbe2f (from https://pypi.python.org/simple/pytest/), version: 2.2.0
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.2.1.zip#md5=3e7d5352205401c6f73976fbf1b48e68 (from https://pypi.python.org/simple/pytest/), version: 2.2.1
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.2.2.zip#md5=69ddec90ba88ace06ba38927dee00632 (from https://pypi.python.org/simple/pytest/), version: 2.2.2
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.2.3.zip#md5=f9b66b28086b8543baa4820d5f880baa (from https://pypi.python.org/simple/pytest/), version: 2.2.3
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.2.4.zip#md5=73ed098e39978890b83cbea1f1ab2a74 (from https://pypi.python.org/simple/pytest/), version: 2.2.4
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.3.0.zip#md5=c6a79ce5c3e156feaf94b57b96ca0d4d (from https://pypi.python.org/simple/pytest/), version: 2.3.0
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.3.1.zip#md5=f8603ab43889a773fbf3d5246fa24b9d (from https://pypi.python.org/simple/pytest/), version: 2.3.1
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.3.2.zip#md5=ccffb2f8b1581203bcd5e18cd6eac4f7 (from https://pypi.python.org/simple/pytest/), version: 2.3.2
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.3.3.zip#md5=a02805c7131bfd42abe91b3f607a0d3a (from https://pypi.python.org/simple/pytest/), version: 2.3.3
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.3.4.zip#md5=db319fef9c310dc46798b285d3da3aa1 (from https://pypi.python.org/simple/pytest/), version: 2.3.4
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.3.5.tar.gz#md5=18f150e7be96b5fe3c388b0e817b8087 (from https://pypi.python.org/simple/pytest/), version: 2.3.5
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.4.0.tar.gz#md5=45dff04f8a380f6f90507172852551d1 (from https://pypi.python.org/simple/pytest/), version: 2.4.0
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.4.1.tar.gz#md5=00496d6577780ace089995efea9706d2 (from https://pypi.python.org/simple/pytest/), version: 2.4.1
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.4.2.tar.gz#md5=9ce14429bd9fae08a3d9ae6b7046d9fc (from https://pypi.python.org/simple/pytest/), version: 2.4.2
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.5.0.tar.gz#md5=cc64de5d46077327ae12a51c3d51e793 (from https://pypi.python.org/simple/pytest/), version: 2.5.0
    Found link https://pypi.python.org/packages/source/p/pytest/pytest-2.5.1.tar.gz#md5=4e155a0134e6757b37cc6698c20f3e9f (from https://pypi.python.org/simple/pytest/), version: 2.5.1
  Using version 2.5.1 (newest of versions: 2.5.1, 2.5.0, 2.4.2, 2.4.1, 2.4.0, 2.3.5, 2.3.4, 2.3.3, 2.3.2, 2.3.1, 2.3.0, 2.2.4, 2.2.3, 2.2.2, 2.2.1, 2.2.0, 2.1.3, 2.1.2, 2.1.1, 2.1.0, 2.0.3, 2.0.2, 2.0.1, 2.0.0)
  Downloading from URL https://pypi.python.org/packages/source/p/pytest/pytest-2.5.1.tar.gz#md5=4e155a0134e6757b37cc6698c20f3e9f (from https://pypi.python.org/simple/pytest/)
  Running setup.py egg_info for package pytest

    running egg_info
    creating pip-egg-info/pytest.egg-info
    writing requirements to pip-egg-info/pytest.egg-info/requires.txt
    writing pip-egg-info/pytest.egg-info/PKG-INFO
    writing top-level names to pip-egg-info/pytest.egg-info/top_level.txt
    writing dependency_links to pip-egg-info/pytest.egg-info/dependency_links.txt
    writing entry points to pip-egg-info/pytest.egg-info/entry_points.txt
    writing manifest file 'pip-egg-info/pytest.egg-info/SOURCES.txt'
    warning: manifest_maker: standard file '-c' not found
    

    reading manifest file 'pip-egg-info/pytest.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    writing manifest file 'pip-egg-info/pytest.egg-info/SOURCES.txt'
  Source in /tmp/pip_build_root/pytest has version 2.5.1, which satisfies requirement pytest>=2 (from pyopencl)
Downloading/unpacking decorator>=3.2.0 (from pyopencl)

  Getting page https://pypi.python.org/simple/decorator/
  URLs to search for versions for decorator>=3.2.0 (from pyopencl):
  * https://pypi.python.org/simple/decorator/
  Analyzing links from page https://pypi.python.org/simple/decorator/
    Found link https://pypi.python.org/packages/source/d/decorator/decorator-3.3.1.tar.gz#md5=a8fc62acd705f487a71bc406e19e0cc6 (from https://pypi.python.org/simple/decorator/), version: 3.3.1
    Found link https://pypi.python.org/packages/source/d/decorator/decorator-3.3.2.tar.gz#md5=446f5165af67eb0fcd8fd28abd259e86 (from https://pypi.python.org/simple/decorator/), version: 3.3.2
    Found link https://pypi.python.org/packages/source/d/decorator/decorator-3.3.3.tar.gz#md5=f5a0227cb1c34a0e7d5b7f9cd2ae3135 (from https://pypi.python.org/simple/decorator/), version: 3.3.3
    Found link https://pypi.python.org/packages/source/d/decorator/decorator-3.4.0.tar.gz#md5=1e8756f719d746e2fc0dd28b41251356 (from https://pypi.python.org/simple/decorator/), version: 3.4.0
    Skipping link http://code.google.com/p/micheles/source/browse/#hg%2Fdecorator (from https://pypi.python.org/simple/decorator/); not a file
    Skipping link http://micheles.googlecode.com/hg/decorator/documentation.html (from https://pypi.python.org/simple/decorator/); unknown archive format: .html
    Skipping link http://micheles.googlecode.com/hg/decorator/documentation.pdf (from https://pypi.python.org/simple/decorator/); unknown archive format: .pdf
    Skipping link http://micheles.googlecode.com/hg/decorator/documentation3.html (from https://pypi.python.org/simple/decorator/); unknown archive format: .html
    Skipping link http://micheles.googlecode.com/hg/decorator/documentation3.pdf (from https://pypi.python.org/simple/decorator/); unknown archive format: .pdf
    Skipping link http://packages.python.org/distribute/ (from https://pypi.python.org/simple/decorator/); not a file
    Skipping link http://science.webhostinggeeks.com/dekorater-modula (from https://pypi.python.org/simple/decorator/); not a file
  Using version 3.4.0 (newest of versions: 3.4.0, 3.3.3, 3.3.2, 3.3.1)
  Downloading decorator-3.4.0.tar.gz

  Downloading from URL https://pypi.python.org/packages/source/d/decorator/decorator-3.4.0.tar.gz#md5=1e8756f719d746e2fc0dd28b41251356 (from https://pypi.python.org/simple/decorator/)
  Running setup.py egg_info for package decorator

    running egg_info
    creating pip-egg-info/decorator.egg-info
    writing pip-egg-info/decorator.egg-info/PKG-INFO
    writing top-level names to pip-egg-info/decorator.egg-info/top_level.txt
    writing dependency_links to pip-egg-info/decorator.egg-info/dependency_links.txt
    writing manifest file 'pip-egg-info/decorator.egg-info/SOURCES.txt'
    warning: manifest_maker: standard file '-c' not found
    

    reading manifest file 'pip-egg-info/decorator.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    warning: no previously-included files found matching 'Makefile'

    writing manifest file 'pip-egg-info/decorator.egg-info/SOURCES.txt'
  Source in /tmp/pip_build_root/decorator has version 3.4.0, which satisfies requirement decorator>=3.2.0 (from pyopencl)
Downloading/unpacking py>=1.4.19 (from pytest>=2->pyopencl)

  Getting page https://pypi.python.org/simple/py/
  URLs to search for versions for py>=1.4.19 (from pytest>=2->pyopencl):
  * https://pypi.python.org/simple/py/
  Analyzing links from page https://pypi.python.org/simple/py/
    Skipping link https://pypi.python.org/packages/2.4/p/py/py-0.9.2-py2.4-win32.egg#md5=4eac7f97b8efed2271cc0c63c8796f23 (from https://pypi.python.org/simple/py/); unknown archive format: .egg
    Skipping link https://pypi.python.org/packages/2.5/p/py/py-0.9.2-py2.5-win32.egg#md5=afc5e92b1e20475be0f2fe805479de6d (from https://pypi.python.org/simple/py/); unknown archive format: .egg
    Found link https://pypi.python.org/packages/source/p/py/py-0.9.1.tar.gz#md5=daab8d9a814eab31809d973370d23600 (from https://pypi.python.org/simple/py/), version: 0.9.1
    Found link https://pypi.python.org/packages/source/p/py/py-0.9.2.tar.gz#md5=2c996d78867f6ad64dc5aabf1185aaf7 (from https://pypi.python.org/simple/py/), version: 0.9.2
    Found link https://pypi.python.org/packages/source/p/py/py-0.9.2.zip#md5=8447b2ba4c7b4062fcd08aab3377f040 (from https://pypi.python.org/simple/py/), version: 0.9.2
    Found link https://pypi.python.org/packages/source/p/py/py-1.0.0.tar.gz#md5=3223ff8fcaefd060be13262e367794ce (from https://pypi.python.org/simple/py/), version: 1.0.0
    Found link https://pypi.python.org/packages/source/p/py/py-1.0.1.tar.gz#md5=d64444015bac78e0c73ac285f9423750 (from https://pypi.python.org/simple/py/), version: 1.0.1
    Found link https://pypi.python.org/packages/source/p/py/py-1.0.2.tar.gz#md5=4d2e9878b0113159fae2f3ed0cfc081d (from https://pypi.python.org/simple/py/), version: 1.0.2
    Found link https://pypi.python.org/packages/source/p/py/py-1.1.0.tar.gz#md5=fb5d1fcf3173d9c4dce70cfc8888e359 (from https://pypi.python.org/simple/py/), version: 1.1.0
    Found link https://pypi.python.org/packages/source/p/py/py-1.1.1.tar.gz#md5=4d0b5eaf9af09b7682fb07d4c5a2fd45 (from https://pypi.python.org/simple/py/), version: 1.1.1
    Found link https://pypi.python.org/packages/source/p/py/py-1.2.0.tar.gz#md5=c75a9d0a9211a7ecddc981dd8a0158db (from https://pypi.python.org/simple/py/), version: 1.2.0
    Found link https://pypi.python.org/packages/source/p/py/py-1.2.1.tar.gz#md5=7b3f4c0da62131e6dd25f7f3fda013cc (from https://pypi.python.org/simple/py/), version: 1.2.1
    Found link https://pypi.python.org/packages/source/p/py/py-1.3.0.tar.gz#md5=986f75a6303da690e384995633677739 (from https://pypi.python.org/simple/py/), version: 1.3.0
    Found link https://pypi.python.org/packages/source/p/py/py-1.3.1.tar.gz#md5=0cf1fa3d0f281a2bb7ed38ad0b7169da (from https://pypi.python.org/simple/py/), version: 1.3.1
    Found link https://pypi.python.org/packages/source/p/py/py-1.3.2.tar.gz#md5=9e3d99966385854fc07004e8a07cf9d4 (from https://pypi.python.org/simple/py/), version: 1.3.2
    Found link https://pypi.python.org/packages/source/p/py/py-1.3.3.tar.gz#md5=bf0dbc3ce4c18ead263cb5679e5164b4 (from https://pypi.python.org/simple/py/), version: 1.3.3
    Found link https://pypi.python.org/packages/source/p/py/py-1.3.4.tar.gz#md5=b64d73a04121c1c4e27c7ec335ef87c8 (from https://pypi.python.org/simple/py/), version: 1.3.4
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.0.zip#md5=1441a30f94a0f0cfc47d69a792606bff (from https://pypi.python.org/simple/py/), version: 1.4.0
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.1.zip#md5=0e73fa13d01627761b50e614403e1180 (from https://pypi.python.org/simple/py/), version: 1.4.1
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.10.zip#md5=d166e940d8f1c54ba752e52f21528bf2 (from https://pypi.python.org/simple/py/), version: 1.4.10
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.11.zip#md5=d03d4f78606f1c44018021b9a6f2878b (from https://pypi.python.org/simple/py/), version: 1.4.11
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.12.zip#md5=8230f8241dea2517757fab50b4f84449 (from https://pypi.python.org/simple/py/), version: 1.4.12
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.13.tar.gz#md5=3857dc8309d5f284669b81184253c2bb (from https://pypi.python.org/simple/py/), version: 1.4.13
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.14.tar.gz#md5=f441639a1d3f0bbbc955cd22d8127d5e (from https://pypi.python.org/simple/py/), version: 1.4.14
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.15.tar.gz#md5=b5afc772d242d2dbcf7a2fcf3080a799 (from https://pypi.python.org/simple/py/), version: 1.4.15
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.16.tar.gz#md5=3f4aa73ec2c74343ae30ffb1282b6597 (from https://pypi.python.org/simple/py/), version: 1.4.16
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.17.tar.gz#md5=1dba4de9f1ac9b3e025895a0b6ad5a91 (from https://pypi.python.org/simple/py/), version: 1.4.17
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.18.tar.gz#md5=1b04e9879fed8a420b9e52cbaf7d8b4f (from https://pypi.python.org/simple/py/), version: 1.4.18
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.19.tar.gz#md5=d2e24b4363d834bf9192247f143435bc (from https://pypi.python.org/simple/py/), version: 1.4.19
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.2.zip#md5=fd00ef0c7dbaaeb1b37259e571ba28a5 (from https://pypi.python.org/simple/py/), version: 1.4.2
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.3.zip#md5=f20018fda42165f2edb4226c8eafcae4 (from https://pypi.python.org/simple/py/), version: 1.4.3
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.4.zip#md5=5f94e19ce855df25d430265a19287db0 (from https://pypi.python.org/simple/py/), version: 1.4.4
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.5.zip#md5=d2a51f8c9eca43e2953cdec72989d6ec (from https://pypi.python.org/simple/py/), version: 1.4.5
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.6.zip#md5=18381334c69450a080ede4d04efb4b52 (from https://pypi.python.org/simple/py/), version: 1.4.6
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.7.dev3.zip#md5=e83ff50740ed06972157629c14433eb8 (from https://pypi.python.org/simple/py/), version: 1.4.7.dev3
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.7.zip#md5=fb1b2608eb4f52f67405fb316dbab09f (from https://pypi.python.org/simple/py/), version: 1.4.7
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.8.zip#md5=4577e659435568d168c66b69a3cb968a (from https://pypi.python.org/simple/py/), version: 1.4.8
    Found link https://pypi.python.org/packages/source/p/py/py-1.4.9.zip#md5=471a88edcdae2f9689c0193972a1a1f8 (from https://pypi.python.org/simple/py/), version: 1.4.9
  Ignoring link https://pypi.python.org/packages/source/p/py/py-0.9.1.tar.gz#md5=daab8d9a814eab31809d973370d23600 (from https://pypi.python.org/simple/py/), version 0.9.1 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-0.9.2.tar.gz#md5=2c996d78867f6ad64dc5aabf1185aaf7 (from https://pypi.python.org/simple/py/), version 0.9.2 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-0.9.2.zip#md5=8447b2ba4c7b4062fcd08aab3377f040 (from https://pypi.python.org/simple/py/), version 0.9.2 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.0.0.tar.gz#md5=3223ff8fcaefd060be13262e367794ce (from https://pypi.python.org/simple/py/), version 1.0.0 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.0.1.tar.gz#md5=d64444015bac78e0c73ac285f9423750 (from https://pypi.python.org/simple/py/), version 1.0.1 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.0.2.tar.gz#md5=4d2e9878b0113159fae2f3ed0cfc081d (from https://pypi.python.org/simple/py/), version 1.0.2 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.1.0.tar.gz#md5=fb5d1fcf3173d9c4dce70cfc8888e359 (from https://pypi.python.org/simple/py/), version 1.1.0 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.1.1.tar.gz#md5=4d0b5eaf9af09b7682fb07d4c5a2fd45 (from https://pypi.python.org/simple/py/), version 1.1.1 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.2.0.tar.gz#md5=c75a9d0a9211a7ecddc981dd8a0158db (from https://pypi.python.org/simple/py/), version 1.2.0 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.2.1.tar.gz#md5=7b3f4c0da62131e6dd25f7f3fda013cc (from https://pypi.python.org/simple/py/), version 1.2.1 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.3.0.tar.gz#md5=986f75a6303da690e384995633677739 (from https://pypi.python.org/simple/py/), version 1.3.0 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.3.1.tar.gz#md5=0cf1fa3d0f281a2bb7ed38ad0b7169da (from https://pypi.python.org/simple/py/), version 1.3.1 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.3.2.tar.gz#md5=9e3d99966385854fc07004e8a07cf9d4 (from https://pypi.python.org/simple/py/), version 1.3.2 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.3.3.tar.gz#md5=bf0dbc3ce4c18ead263cb5679e5164b4 (from https://pypi.python.org/simple/py/), version 1.3.3 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.3.4.tar.gz#md5=b64d73a04121c1c4e27c7ec335ef87c8 (from https://pypi.python.org/simple/py/), version 1.3.4 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.0.zip#md5=1441a30f94a0f0cfc47d69a792606bff (from https://pypi.python.org/simple/py/), version 1.4.0 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.1.zip#md5=0e73fa13d01627761b50e614403e1180 (from https://pypi.python.org/simple/py/), version 1.4.1 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.10.zip#md5=d166e940d8f1c54ba752e52f21528bf2 (from https://pypi.python.org/simple/py/), version 1.4.10 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.11.zip#md5=d03d4f78606f1c44018021b9a6f2878b (from https://pypi.python.org/simple/py/), version 1.4.11 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.12.zip#md5=8230f8241dea2517757fab50b4f84449 (from https://pypi.python.org/simple/py/), version 1.4.12 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.13.tar.gz#md5=3857dc8309d5f284669b81184253c2bb (from https://pypi.python.org/simple/py/), version 1.4.13 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.14.tar.gz#md5=f441639a1d3f0bbbc955cd22d8127d5e (from https://pypi.python.org/simple/py/), version 1.4.14 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.15.tar.gz#md5=b5afc772d242d2dbcf7a2fcf3080a799 (from https://pypi.python.org/simple/py/), version 1.4.15 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.16.tar.gz#md5=3f4aa73ec2c74343ae30ffb1282b6597 (from https://pypi.python.org/simple/py/), version 1.4.16 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.17.tar.gz#md5=1dba4de9f1ac9b3e025895a0b6ad5a91 (from https://pypi.python.org/simple/py/), version 1.4.17 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.18.tar.gz#md5=1b04e9879fed8a420b9e52cbaf7d8b4f (from https://pypi.python.org/simple/py/), version 1.4.18 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.2.zip#md5=fd00ef0c7dbaaeb1b37259e571ba28a5 (from https://pypi.python.org/simple/py/), version 1.4.2 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.3.zip#md5=f20018fda42165f2edb4226c8eafcae4 (from https://pypi.python.org/simple/py/), version 1.4.3 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.4.zip#md5=5f94e19ce855df25d430265a19287db0 (from https://pypi.python.org/simple/py/), version 1.4.4 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.5.zip#md5=d2a51f8c9eca43e2953cdec72989d6ec (from https://pypi.python.org/simple/py/), version 1.4.5 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.6.zip#md5=18381334c69450a080ede4d04efb4b52 (from https://pypi.python.org/simple/py/), version 1.4.6 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.7.dev3.zip#md5=e83ff50740ed06972157629c14433eb8 (from https://pypi.python.org/simple/py/), version 1.4.7.dev3 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.7.zip#md5=fb1b2608eb4f52f67405fb316dbab09f (from https://pypi.python.org/simple/py/), version 1.4.7 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.8.zip#md5=4577e659435568d168c66b69a3cb968a (from https://pypi.python.org/simple/py/), version 1.4.8 doesn't match >=1.4.19
  Ignoring link https://pypi.python.org/packages/source/p/py/py-1.4.9.zip#md5=471a88edcdae2f9689c0193972a1a1f8 (from https://pypi.python.org/simple/py/), version 1.4.9 doesn't match >=1.4.19
  Downloading from URL https://pypi.python.org/packages/source/p/py/py-1.4.19.tar.gz#md5=d2e24b4363d834bf9192247f143435bc (from https://pypi.python.org/simple/py/)
  Running setup.py egg_info for package py

    running egg_info
    creating pip-egg-info/py.egg-info
    writing pip-egg-info/py.egg-info/PKG-INFO
    writing top-level names to pip-egg-info/py.egg-info/top_level.txt
    writing dependency_links to pip-egg-info/py.egg-info/dependency_links.txt
    writing manifest file 'pip-egg-info/py.egg-info/SOURCES.txt'
    warning: manifest_maker: standard file '-c' not found
    

    reading manifest file 'pip-egg-info/py.egg-info/SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    warning: no files found matching 'distribute_setup.py'

    writing manifest file 'pip-egg-info/py.egg-info/SOURCES.txt'
  Source in /tmp/pip_build_root/py has version 1.4.19, which satisfies requirement py>=1.4.19 (from pytest>=2->pyopencl)
Installing collected packages: pyopencl, pytools, pytest, decorator, py

  Running setup.py install for pyopencl

    Running command /usr/bin/python -c "import setuptools;__file__='/tmp/pip_build_root/pyopencl/setup.py';exec(compile(open(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-KB0TXJ-record/install-record.txt --single-version-externally-managed
    ---------------------------------------------------------------------------

    Mako is not installed.

    ---------------------------------------------------------------------------

    That is not a problem, as most of PyOpenCL will be just fine

    without it.Some higher-level parts of pyopencl (such as

    pyopencl.reduction) will not function without the templating engine

    Mako [1] being installed. If you would like this functionality to

    work, you might want to install Mako after you finish

    installing PyOpenCL.

    

    [1] http://www.makotemplates.org/

    ---------------------------------------------------------------------------

    Hit Ctrl-C now if you'd like to think about the situation.

    ---------------------------------------------------------------------------

    Continuing in 5 seconds...  
Continuing in 4 seconds...  
Continuing in 3 seconds...  
Continuing in 2 seconds...  
Continuing in 1 seconds...

    running install
    running build
    running build_py
    creating build
    creating build/lib.linux-i686-2.7
    creating build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/tools.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/_cluda.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/clrandom.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/capture_call.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/scan.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/_mymako.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/__init__.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/version.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/cache.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/array.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/reduction.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/elementwise.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/clmath.py -> build/lib.linux-i686-2.7/pyopencl
    copying pyopencl/algorithm.py -> build/lib.linux-i686-2.7/pyopencl
    creating build/lib.linux-i686-2.7/pyopencl/characterize
    copying pyopencl/characterize/__init__.py -> build/lib.linux-i686-2.7/pyopencl/characterize
    copying pyopencl/characterize/performance.py -> build/lib.linux-i686-2.7/pyopencl/characterize
    creating build/lib.linux-i686-2.7/pyopencl/compyte
    copying pyopencl/compyte/__init__.py -> build/lib.linux-i686-2.7/pyopencl/compyte
    copying pyopencl/compyte/dtypes.py -> build/lib.linux-i686-2.7/pyopencl/compyte
    copying pyopencl/compyte/array.py -> build/lib.linux-i686-2.7/pyopencl/compyte
    creating build/lib.linux-i686-2.7/pyopencl/cl
    copying pyopencl/cl/pyopencl-bessel-j.cl -> build/lib.linux-i686-2.7/pyopencl/cl
    copying pyopencl/cl/pyopencl-ranluxcl.cl -> build/lib.linux-i686-2.7/pyopencl/cl
    copying pyopencl/cl/pyopencl-bessel-y.cl -> build/lib.linux-i686-2.7/pyopencl/cl
    copying pyopencl/cl/pyopencl-airy.cl -> build/lib.linux-i686-2.7/pyopencl/cl
    copying pyopencl/cl/pyopencl-eval-tbl.cl -> build/lib.linux-i686-2.7/pyopencl/cl
    copying pyopencl/cl/pyopencl-complex.h -> build/lib.linux-i686-2.7/pyopencl/cl
    running build_ext
    building '_cl' extension

    creating build/temp.linux-i686-2.7
    creating build/temp.linux-i686-2.7/src
    creating build/temp.linux-i686-2.7/src/wrapper
    creating build/temp.linux-i686-2.7/bpl-subset
    creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset
    creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs
    creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/python
    creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/python/src
    creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/python/src/object
    creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/python/src/converter
    creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/smart_ptr
    creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/smart_ptr/src
    creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/system
    creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/system/src
    creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/thread
    creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/thread/src
    creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/thread/src/pthread
    i686-linux-gnu-gcc -pthread -fno-strict-aliasing -fwrapv -Wall -O3 -DNDEBUG -fPIC -DBOOST_PYTHON_SOURCE=1 -DPYGPU_PACKAGE=pyopencl -DPYOPENCL_USE_DEVICE_FISSION=1 -DBOOST_THREAD_DONT_USE_CHRONO=1 -DPYGPU_PYOPENCL=1 -DBOOST_MULTI_INDEX_DISABLE_SERIALIZATION=1 -DBOOST_THREAD_BUILD_DLL=1 -Dboost=pyopenclboost -DBOOST_ALL_NO_LIB=1 -Ibpl-subset/bpl_subset -I/usr/local/lib/python2.7/dist-packages/numpy/core/include -I/usr/include/python2.7 -c src/wrapper/wrap_cl.cpp -o build/temp.linux-i686-2.7/src/wrapper/wrap_cl.o

    In file included from src/wrapper/wrap_cl.cpp:1:0:

    src/wrapper/wrap_cl.hpp:27:19: fatal error: CL/cl.h: No such file or directory

     #include <CL/cl.h>

                       ^

    compilation terminated.

    error: command 'i686-linux-gnu-gcc' failed with exit status 1

    Complete output from command /usr/bin/python -c "import setuptools;__file__='/tmp/pip_build_root/pyopencl/setup.py';exec(compile(open(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-KB0TXJ-record/install-record.txt --single-version-externally-managed:

    ---------------------------------------------------------------------------

Mako is not installed.

---------------------------------------------------------------------------

That is not a problem, as most of PyOpenCL will be just fine

without it.Some higher-level parts of pyopencl (such as

pyopencl.reduction) will not function without the templating engine

Mako [1] being installed. If you would like this functionality to

work, you might want to install Mako after you finish

installing PyOpenCL.



[1] http://www.makotemplates.org/

---------------------------------------------------------------------------

Hit Ctrl-C now if you'd like to think about the situation.

---------------------------------------------------------------------------

Continuing in 5 seconds...  
Continuing in 4 seconds...  
Continuing in 3 seconds...  
Continuing in 2 seconds...  
Continuing in 1 seconds...

running install

running build

running build_py

creating build

creating build/lib.linux-i686-2.7

creating build/lib.linux-i686-2.7/pyopencl

copying pyopencl/tools.py -> build/lib.linux-i686-2.7/pyopencl

copying pyopencl/_cluda.py -> build/lib.linux-i686-2.7/pyopencl

copying pyopencl/clrandom.py -> build/lib.linux-i686-2.7/pyopencl

copying pyopencl/capture_call.py -> build/lib.linux-i686-2.7/pyopencl

copying pyopencl/scan.py -> build/lib.linux-i686-2.7/pyopencl

copying pyopencl/_mymako.py -> build/lib.linux-i686-2.7/pyopencl

copying pyopencl/__init__.py -> build/lib.linux-i686-2.7/pyopencl

copying pyopencl/version.py -> build/lib.linux-i686-2.7/pyopencl

copying pyopencl/cache.py -> build/lib.linux-i686-2.7/pyopencl

copying pyopencl/array.py -> build/lib.linux-i686-2.7/pyopencl

copying pyopencl/reduction.py -> build/lib.linux-i686-2.7/pyopencl

copying pyopencl/elementwise.py -> build/lib.linux-i686-2.7/pyopencl

copying pyopencl/clmath.py -> build/lib.linux-i686-2.7/pyopencl

copying pyopencl/algorithm.py -> build/lib.linux-i686-2.7/pyopencl

creating build/lib.linux-i686-2.7/pyopencl/characterize

copying pyopencl/characterize/__init__.py -> build/lib.linux-i686-2.7/pyopencl/characterize

copying pyopencl/characterize/performance.py -> build/lib.linux-i686-2.7/pyopencl/characterize

creating build/lib.linux-i686-2.7/pyopencl/compyte

copying pyopencl/compyte/__init__.py -> build/lib.linux-i686-2.7/pyopencl/compyte

copying pyopencl/compyte/dtypes.py -> build/lib.linux-i686-2.7/pyopencl/compyte

copying pyopencl/compyte/array.py -> build/lib.linux-i686-2.7/pyopencl/compyte

creating build/lib.linux-i686-2.7/pyopencl/cl

copying pyopencl/cl/pyopencl-bessel-j.cl -> build/lib.linux-i686-2.7/pyopencl/cl

copying pyopencl/cl/pyopencl-ranluxcl.cl -> build/lib.linux-i686-2.7/pyopencl/cl

copying pyopencl/cl/pyopencl-bessel-y.cl -> build/lib.linux-i686-2.7/pyopencl/cl

copying pyopencl/cl/pyopencl-airy.cl -> build/lib.linux-i686-2.7/pyopencl/cl

copying pyopencl/cl/pyopencl-eval-tbl.cl -> build/lib.linux-i686-2.7/pyopencl/cl

copying pyopencl/cl/pyopencl-complex.h -> build/lib.linux-i686-2.7/pyopencl/cl

running build_ext

building '_cl' extension

creating build/temp.linux-i686-2.7

creating build/temp.linux-i686-2.7/src

creating build/temp.linux-i686-2.7/src/wrapper

creating build/temp.linux-i686-2.7/bpl-subset

creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset

creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs

creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/python

creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/python/src

creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/python/src/object

creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/python/src/converter

creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/smart_ptr

creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/smart_ptr/src

creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/system

creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/system/src

creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/thread

creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/thread/src

creating build/temp.linux-i686-2.7/bpl-subset/bpl_subset/libs/thread/src/pthread

i686-linux-gnu-gcc -pthread -fno-strict-aliasing -fwrapv -Wall -O3 -DNDEBUG -fPIC -DBOOST_PYTHON_SOURCE=1 -DPYGPU_PACKAGE=pyopencl -DPYOPENCL_USE_DEVICE_FISSION=1 -DBOOST_THREAD_DONT_USE_CHRONO=1 -DPYGPU_PYOPENCL=1 -DBOOST_MULTI_INDEX_DISABLE_SERIALIZATION=1 -DBOOST_THREAD_BUILD_DLL=1 -Dboost=pyopenclboost -DBOOST_ALL_NO_LIB=1 -Ibpl-subset/bpl_subset -I/usr/local/lib/python2.7/dist-packages/numpy/core/include -I/usr/include/python2.7 -c src/wrapper/wrap_cl.cpp -o build/temp.linux-i686-2.7/src/wrapper/wrap_cl.o

In file included from src/wrapper/wrap_cl.cpp:1:0:

src/wrapper/wrap_cl.hpp:27:19: fatal error: CL/cl.h: No such file or directory

 #include <CL/cl.h>

                   ^

compilation terminated.

error: command 'i686-linux-gnu-gcc' failed with exit status 1

----------------------------------------

Cleaning up...

  Removing temporary dir /tmp/pip_build_root...
Command /usr/bin/python -c "import setuptools;__file__='/tmp/pip_build_root/pyopencl/setup.py';exec(compile(open(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-KB0TXJ-record/install-record.txt --single-version-externally-managed failed with error code 1 in /tmp/pip_build_root/pyopencl

<a href="https://hashflare.io/r/E10633A3">
Pages: « 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 [20] 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 ... 75 »
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!